/**
 * Static factory method to create multiple dropdowns at one time.
 *
 * @method create
 * @namespace AJS.Dropdown
 * @param options - @see AJS.DropDown.descriptor
 * @return {Array}
 */
AJS.DropDown.create = function (options) {

    var dropdowns = [];

    if (options.content && !options.trigger) {
        options.content = AJS.$(options.content);

        AJS.$.each(options.content, function () {
            var instanceOptions = AJS.copyObject(options);
            instanceOptions.content = AJS.$(this);
            dropdowns.push(new AJS.DropDown(instanceOptions));
        });
    } else if (!options.content && options.trigger) {
        options.trigger = AJS.$(options.trigger);
        AJS.$.each(options.trigger, function () {
            var instanceOptions = AJS.copyObject(options);
            instanceOptions.trigger = AJS.$(this);
            dropdowns.push(new AJS.DropDown(instanceOptions));
        });
    }

    return dropdowns;
};
