<%@ page import="com.atlassian.jira.ComponentManager,
                 com.atlassian.jira.action.ActionContextKit,
                 com.atlassian.jira.bc.security.login.LoginInfo,
                 com.atlassian.jira.bc.security.login.LoginLoggers,
                 com.atlassian.jira.bc.security.login.LoginReason" %>
<%@ page import="com.atlassian.jira.bc.security.login.LoginResult" %>
<%@ page import="com.atlassian.jira.bc.security.login.LoginService" %>
<%@ page import="com.atlassian.jira.config.properties.APKeys" %>
<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties" %>
<%@ page import="com.atlassian.jira.util.JiraUtils" %>
<%@ page import="com.atlassian.jira.web.action.JiraWebActionSupport" %>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ page import="com.atlassian.seraph.filter.LoginFilter" %>
<%@ page import="com.opensymphony.util.TextUtils" %>
<%@ page import="webwork.action.ActionContext" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>

<%
    final LoginService loginService = ComponentManager.getComponentInstanceOfType(LoginService.class);
    final ApplicationProperties applicationProperties = ComponentManager.getComponentInstanceOfType(ApplicationProperties.class);

    final boolean allowCookies = applicationProperties.getOption(APKeys.JIRA_OPTION_ALLOW_COOKIES);
    final boolean publicSignUpAllowed = JiraUtils.isPublicMode();

    final Object authStatusKey = request.getAttribute(LoginFilter.OS_AUTHSTATUS_KEY);
    final LoginResult lastLoginResult = (LoginResult) request.getAttribute(LoginService.LOGIN_RESULT);

    
    final LoginInfo loginInfo = lastLoginResult == null ? null : lastLoginResult.getLoginInfo();
    final boolean isElevatedSecurityCheckShown = loginService.isElevatedSecurityCheckAlwaysShown() ||
            (loginInfo != null && loginInfo.isElevatedSecurityCheckRequired());

    final boolean failedAuthorisation = lastLoginResult != null && lastLoginResult.getReason() == LoginReason.AUTHORISATION_FAILED;
    final boolean failedElevatedSecurityCheck = lastLoginResult != null && lastLoginResult.getReason() == LoginReason.AUTHENTICATION_DENIED;

    if (LoginLoggers.LOGIN_PAGE_LOG.isDebugEnabled())
    {
        LoginLoggers.LOGIN_PAGE_LOG.debug("login.jsp called with lastLoginResult : " + String.valueOf(lastLoginResult));        
    }

    // added so that webworks getText exists
    ActionContextKit.setContext(request,response,request.getContextPath());
    JiraWebActionSupport fakeAction = new JiraWebActionSupport(){    };
    ActionContext.getValueStack().pushValue(fakeAction);

    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    webResourceManager.requireResource("jira.webresources:captcha");

    request.setAttribute("os_destination", request.getParameter("os_destination") == null ? "/secure/" : TextUtils.htmlEncode(request.getParameter("os_destination")));
    
%>
<page:applyDecorator id="login-form" name="auiform">
    <page:param name="action"><%= request.getContextPath() %>/login.jsp</page:param>
    <page:param name="method">post</page:param>
    <page:param name="submitButtonName">login</page:param>
    <page:param name="submitButtonText"><ww:text name="'common.concepts.login'"/></page:param>
    <page:param name="cancelLinkURI"><ww:url value="'/secure/ForgotLoginDetails.jspa'" atltoken="false"/></page:param>
    <page:param name="cancelLinkText"><ww:text name="'common.concepts.forgotpassword'"/></page:param>

    <% if (authStatusKey != null) {
        if (authStatusKey.equals(LoginFilter.LOGIN_FAILED)) {
            if (failedAuthorisation) { %>
                <aui:component template="formMessageBlock.jsp" theme="'aui'">
                    <aui:param name="'messageType'">error</aui:param>
                    <aui:param name="'text'">
                        <ww:text name="'login.error.permission'">
                        <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                            <ww:param name="'value0'"> </ww:param>
                            <ww:param name="'value1'"> </ww:param>
                            <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                            <%--<ww:param name="'value1'"></a></ww:param>--%>
                        </ww:text>
                    </aui:param>
                </aui:component>
            <% } else { %>
                <aui:component template="formMessageBlock.jsp" theme="'aui'">
                    <aui:param name="'messageType'">error</aui:param>
                    <aui:param name="'text'">
                        <% if (failedElevatedSecurityCheck) { %>
                            <ww:text name="'login.error.captcha.incorrect'"/>
                        <% } else { %>
                            <ww:text name="'login.error.lpincorrect'"/>
                        <% } %>
                    </aui:param>
                </aui:component>
            <% }
        } else if (authStatusKey.equals(LoginFilter.LOGIN_ERROR)) { %>
            <aui:component template="formMessageBlock.jsp" theme="'aui'">
                <aui:param name="'messageType'">error</aui:param>
                <aui:param name="'text'">
                    <ww:text name="'login.error.misc'" />
                </aui:param>
            </aui:component>
        <% }
    } %>
    <page:applyDecorator name="auifieldset">

        <page:applyDecorator name="auifieldgroup">
            <label accesskey="<ww:text name="'alt.text.username.accessKey'"/>" for="login-form-username"><ww:text name="'alt.text.username'"/></label>
            <input class="text medium-field" id="login-form-username" name="os_username" type="text" value="<ww:property value="$os_username" />" />
        </page:applyDecorator>

        <page:applyDecorator name="auifieldgroup">
            <label accesskey="<ww:text name="'alt.text.password.accessKey'"/>" for="login-form-password" id="passwordlabel"><ww:text name="'alt.text.password'"/></label>
            <input id="login-form-password" class="text medium-field" name="os_password" type="password" />
        </page:applyDecorator>
        
        <% if (allowCookies) { %>
        <page:applyDecorator name="auifieldset">
            <page:param name="type">group</page:param>
            <page:applyDecorator name="auifieldgroup">
                <page:param name="type">checkbox</page:param>
                <input class="checkbox" id="login-form-remember-me" name="os_cookie" type="checkbox" value="true" />
                <label for="login-form-remember-me" accesskey="<ww:text name="'alt.text.rememberlogin.accessKey'"/>"><ww:text name="'alt.text.rememberlogin'"/></label>
            </page:applyDecorator>
        </page:applyDecorator>
        <% } %>

        <% if (isElevatedSecurityCheckShown) { %>
        <page:applyDecorator name="auifieldgroup">
            <aui:component label="text('signup.captcha.text')" id="'os-captcha'" name="'os_captcha'"  template="captcha.jsp" theme="'aui'" >
                <aui:param name="'captchaURI'"><%=request.getContextPath() %>/captcha?__r=<%=System.currentTimeMillis()%></aui:param>
                <aui:param name="'iconText'"><ww:text name="'login.captcha.refresh'" /></aui:param>
                <aui:param name="'iconURI'">#login-form-os-captcha</aui:param>
                <aui:param name="'iconTitle'"><ww:text name="'login.captcha.refresh'" /></aui:param>
                <aui:param name="'iconCssClass'">icon-reload</aui:param>
                <aui:param name="'size'">medium</aui:param>
            </aui:component>
        </page:applyDecorator>
        <% } %>
        <div class="field-group">
            <% if (publicSignUpAllowed) { %>
            <ww:text name="'login.signup'">
                <ww:param name="'value0'"><a id="signup" href="<%= request.getContextPath() %>/secure/Signup!default.jspa" tabindex="-1"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
            <% } else { %>
            <ww:text name="'login.requestaccount'">
                <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                <%--<ww:param name="'value1'"></a></ww:param>--%>
                <ww:param name="'value0'"> </ww:param>
                <ww:param name="'value1'"> </ww:param>
            </ww:text>
            <% } %>
        </div>
    </page:applyDecorator>
    <ww:component name="'os_destination'" template="hidden.jsp" theme="'aui'" value="$os_destination" />
</page:applyDecorator>
<%
    ActionContextKit.resetContext();
%>