<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title><ww:text name="'admin.generalconfiguration.jira.configuration'"/></title>
    <style type="text/css">
        .on
        {
            color: #090;
            font-weight:bold;
        }
        .off
        {
            color: #900;
            font-weight:bold;
        }

    </style>
</head>

<body>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><ww:text name="'admin.common.words.settings'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#settings</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp;&nbsp;<b><ww:text name="'admin.common.words.title'"/></b></td>
		<td valign="top" width="60%"><ww:property value="applicationProperties/string('jira.title')"/></td>
	</tr>
    <tr bgcolor="#fffff0">
        <td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.common.words.mode'"/></b></td>
        <td valign="top"><ww:property value="/jiraMode"/></td>
    </tr>
    <tr id="maximumAuthenticationAttemptsAllowed" bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.maximum.authentication.attempts.allowed'"/></b></td>
        <ww:if test="applicationProperties/defaultBackedString('jira.maximum.authentication.attempts.allowed') != null && applicationProperties/defaultBackedString('jira.maximum.authentication.attempts.allowed')/length() > 0">
            <td valign="top"><ww:property value="applicationProperties/defaultBackedString('jira.maximum.authentication.attempts.allowed')" /></td>
        </ww:if>
        <ww:else>
            <td valign="top"><ww:text name="'common.words.unlimited'"/></td>
        </ww:else>
	</tr>
    <tr bgcolor="#fffff0">
        <td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.captcha.on.signup'"/></b></td>
        <td valign="top">
            <ww:if test="applicationProperties/option('jira.option.captcha.on.signup') == true">
                <span class="on"><ww:text name="'admin.common.words.on'"/></span>
            </ww:if>
            <ww:else>
                <span class="off"><ww:text name="'admin.common.words.off'"/></span>
            </ww:else>
        </td>
    </tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.base.url'"/></b></td>
		<td valign="top"><a href="<ww:property value="applicationProperties/string('jira.baseurl')"/>" target="_blank"><ww:property value="applicationProperties/string('jira.baseurl')"/></a></td>
	</tr>
    <tr bgcolor="#fffff0">
        <td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.email.from.header'"/></b></td>
        <td valign="top"><ww:property value="applicationProperties/defaultBackedString('jira.email.fromheader.format')"/></td>
    </tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.common.words.introduction'"/></b></td>
		<td valign="top"><ww:property value="applicationProperties/text('jira.introduction')" escape="false" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="id">language-info</page:param>
    <page:param name="title"><ww:text name="'admin.generalconfiguration.internationalisation'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#i18n</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.character.encoding'"/></b></td>
		<td valign="top" width="60%"><ww:property value="applicationProperties/string('webwork.i18n.encoding')" /></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.indexing.language'"/></b></td>
		<td valign="top"><ww:property value="applicationProperties/string('jira.i18n.language.index')" /></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.installed.languages'"/></b></td>
		<td valign="top">
        <ww:iterator value="/localeManager/installedLocales" status="'status'">
            <ww:property value="/displayNameOfLocale(.)"/><ww:if test="@status/last == false"><br></ww:if>
        </ww:iterator>
        </td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.default.language'"/></b></td>
		<td valign="top"><ww:property value="/displayNameOfLocale(/applicationProperties/defaultLocale)" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="id">options_table</page:param>
    <page:param name="title"><ww:text name="'admin.common.words.options'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#options</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

	<tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.allow.users.to.vote'"/></b></td>
		<td valign="top" width="60%">
			<ww:if test="applicationProperties/option('jira.option.voting') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.allow.users.to.watch'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.watching') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.allow.unassigned.issues'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.allowunassigned') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.external.user.management'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.user.externalmanagement') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.external.password.management'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.user.externalpasswordmanagement') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.logout.confirmation'"/></b></td>
		<td valign="top"><strong>
			<ww:if test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'never'">
				<ww:text name="'admin.common.words.never'"/>
			</ww:if>
            <ww:elseIf test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'cookie'">
                <ww:text name="'admin.common.words.cookie'"/>
            </ww:elseIf>
			<ww:else>
				<ww:text name="'admin.common.words.always'"/>
			</ww:else>
            </strong>
        </td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.use.gzip.compression'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.web.usegzip') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.accept.remote.api.calls'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.rpc.allow') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.user.email.visibility'"/></b></td>
		<td valign="top"><strong>
			<ww:if test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'show'">
				<ww:text name="'admin.generalconfiguration.public'"/>
			</ww:if>
			<ww:elseIf test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'hide'">
				<ww:text name="'admin.generalconfiguration.hidden'"/>
			</ww:elseIf>
			<ww:elseIf test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'mask'">
				<ww:text name="'admin.generalconfiguration.masked'"><ww:param name="value0">user at example dot com</ww:param></ww:text>
			</ww:elseIf>
			<ww:else>
				<ww:text name="'admin.generalconfiguration.logged.in.only'"/>
			</ww:else>
            </strong>
        </td>
	</tr>

    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.commentlevel.visibility'"/></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.comment.level.visibility.groups') == true">
                <strong><ww:text name="'admin.generalconfiguration.commentlevel.visibility.both'"/></strong>
            </ww:if>
            <ww:else>
                <strong><ww:text name="'admin.generalconfiguration.commentlevel.visibility.rolesonly'"/></strong>
            </ww:else>
		</td>
	</tr>

    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.enable.email.header'">
		    <ww:param name="'value0'"></b><br>&nbsp;&nbsp;</ww:param>
		    <ww:param name="'value1'">Precedence: bulk</ww:param>
		</ww:text></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.option.precedence.header.exclude') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
    <ww:if test="applicationProperties/option('jira.option.cache.issues') == true">
	<tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.cache.issues'"/></b></td>
		<td valign="top">
			<%--<ww:if test="applicationProperties/option('jira.option.cache.issues') == true">--%>
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			<%--</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>--%>
		</td>
	</tr>
    </ww:if>
   <tr bgcolor="#fffff0">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.enable.ajax.issue.picker'" /></b></td>
		<td valign="top">
			<ww:if test="applicationProperties/option('jira.ajax.autocomplete.issuepicker.enabled') == true">
				<span class="on"><ww:text name="'admin.common.words.on'"/></span>
			</ww:if>
			<ww:else>
				<span class="off"><ww:text name="'admin.common.words.off'"/></span>
			</ww:else>
		</td>
	</tr>
    <tr bgcolor="#ffffff">
          <td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.enable.ajax.user.full.search'" /></b></td>
          <td valign="top">
              <ww:if test="/canPerformAjaxSearch() == true">
                  <span class="on"><ww:text name="'admin.common.words.on'"/></span>
              </ww:if>
              <ww:else>
                  <span class="off"><ww:text name="'admin.common.words.off'"/></span>
              </ww:else>
          </td>
    </tr>
    <tr bgcolor="#fffff0">
         <td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.enabled.jql.autocomplete'" /></b></td>
         <td valign="top">
             <ww:if test="applicationProperties/option('jira.jql.autocomplete.disabled') == false">
                 <span class="on"><ww:text name="'admin.common.words.on'"/></span>
             </ww:if>
             <ww:else>
                 <span class="off"><ww:text name="'admin.common.words.off'"/></span>
             </ww:else>
         </td>
    </tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp;&nbsp;<b><ww:text name="'admin.generalconfiguration.ie.mime.sniffing'"/></b></td>
		<td valign="top"><strong>
			<ww:if test="applicationProperties/defaultBackedString('jira.attachment.download.mime.sniffing.workaround') == 'workaround'">
				<ww:text name="'admin.generalconfiguration.ie.mime.sniffing.workaround'"/>
			</ww:if>
			<ww:elseIf test="applicationProperties/defaultBackedString('jira.attachment.download.mime.sniffing.workaround') == 'secure'">
				<ww:text name="'admin.generalconfiguration.ie.mime.sniffing.paranoid'"/>
			</ww:elseIf>
			<ww:elseIf test="applicationProperties/defaultBackedString('jira.attachment.download.mime.sniffing.workaround') == 'insecure'">
				<ww:text name="'admin.generalconfiguration.ie.mime.sniffing.owned'"><ww:param name="value0">user at example dot com</ww:param></ww:text>
			</ww:elseIf>
			<ww:else>
				<ww:text name="'admin.generalconfiguration.logged.in.only'"/>
			</ww:else>
            </strong>
        </td>
	</tr>

</page:applyDecorator>
</p>

<p>
<table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor="#f0f0f0">
		<td class="colHeaderLink" colspan="2" align="center">
			<a id="edit-app-properties" href="EditApplicationProperties!default.jspa"><b><ww:text name="'admin.common.phrases.edit.configuration'"/></b></a>
		</td>
	</tr>
</table>
</td></tr></table>
</p>

</body>
</html>
