<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.editapplicationproperties.title'"/></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="action">EditApplicationProperties.jspa</page:param>
	<page:param name="submitId">edit_property</page:param>
	<page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewApplicationProperties.jspa</page:param>
	<page:param name="title"><ww:text name="'admin.common.words.settings'"/></page:param>
	<page:param name="width">100%</page:param>

	<ui:textfield label="text('admin.generalconfiguration.application.title')" name="'title'">
		<ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.application.title.description'"/>
		</ui:param>
	</ui:textfield>

	<ui:select label="text('admin.common.words.mode')" name="'mode'"
		list="allowedModes" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.mode.description'">
			    <ww:param name="'value0'"><br></ww:param>
			    <ww:param name="'value1'"><br></ww:param>
			</ww:text>
		</ui:param>
	</ui:select>

    <ui:textfield label="text('admin.generalconfiguration.maximum.authentication.attempts.allowed')" name="'maximumAuthenticationAttemptsAllowed'">
        <ui:param name="'size'">8</ui:param>
        <ui:param name="'description'">
            <ww:text name="'admin.generalconfiguration.maximum.authentication.attempts.allowed.description'"/>
        </ui:param>
    </ui:textfield>

    <tr>
        <td align="right" valign="top" bgcolor="#fffff0"><span class="label">
            <ww:text name="'admin.generalconfiguration.captcha.on.signup'"/>
        </span></td>
        <td bgcolor="#ffffff">
            <input type="radio" value="true" name="captcha" <ww:if test="captcha == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
            &nbsp;
            <input type="radio" value="false" name="captcha" <ww:if test="captcha == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
            <br><span class="subText">
                <ww:text name="'admin.generalconfiguration.captcha.on.signup.description'"/>
            </span>
        </td>
    </tr>

	<ui:textfield label="text('admin.generalconfiguration.base.url')" name="'baseURL'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.base.url.description'"/>
		</ui:param>
	</ui:textfield>

	<ui:textfield label="text('admin.generalconfiguration.email.from.header')" name="'emailFromHeaderFormat'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.email.from.header.description'">
                <ww:param name="value0">From:</ww:param>
            </ww:text>
        </ui:param>
	</ui:textfield>

    <ui:textarea label="text('admin.common.words.introduction')" name="'introduction'" rows="8" cols="60">
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.introduction.description'">
			    <ww:param name="'value0'"><br></ww:param>
			</ww:text>
		</ui:param>
	</ui:textarea>


    <tr>
		<td align="right" bgcolor="#fffff0">&nbsp;</td>
		<td bgcolor="#ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="2" bgcolor="#f0f0f0"><h3 class="formtitle"><ww:text name="'admin.generalconfiguration.internationalisation'"/></h3></td>
	</tr>

    <ui:textfield label="text('admin.generalconfiguration.character.encoding')" name="'encoding'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.character.encoding.description'">
			    <ww:param name="'value0'"><br></ww:param>
			</ww:text>
		</ui:param>
	</ui:textfield>

    <ui:select label="text('admin.generalconfiguration.indexing.language')" name="'language'"
		list="allowedLanguages" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			<ww:text name="'admin.generalconfiguration.indexing.language.description'">
			    <ww:param name="'value0'"><br></ww:param>
			    <ww:param name="'value1'"><br></ww:param>
                <ww:param name="'value2'"><a href="IndexAdmin.jspa"></ww:param>
			    <ww:param name="'value3'"></a></ww:param>
                <ww:param name="'value4'"><br></ww:param>
            </ww:text>
		</ui:param>
	</ui:select>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.installed.languages'"/>:
        </span></td>
		<td bgcolor="#ffffff">
            <ww:iterator value="/localeManager/installedLocales" status="'status'">
                <ww:property value="/displayNameOfLocale(.)"/><ww:if test="@status/last == false">, </ww:if>
            </ww:iterator><br>
			<span class="subText">
				<ww:text name="'admin.generalconfiguration.installed.languages.description'"/>
                <ww:component template="help.jsp" name="'i18n'">
                    <ww:param name="'align'">middle</ww:param>
                </ww:component>
			</span>
		</td>
	</tr>


    <ui:select label="text('admin.generalconfiguration.default.language')" name="'defaultLocale'"
		list="/installedLocales" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
            <ww:text name="'admin.generalconfiguration.default.language.description'">
                <ww:param name="'value0'"><br></ww:param>
            </ww:text>
		</ui:param>
	</ui:select>

	<tr>
		<td align="right" bgcolor="#fffff0">&nbsp;</td>
		<td bgcolor="#ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="2" bgcolor="#f0f0f0"><h3 class="formtitle"><ww:text name="'admin.common.words.options'"/></h3></td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.voting'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="voting" <ww:if test="voting == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
			&nbsp;
			<input type="radio" value="false" name="voting" <ww:if test="voting == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
			<br><span class="subText">
				<ww:text name="'admin.generalconfiguration.voting.description'"/>
			</span>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.watching'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="watching" <ww:if test="watching == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
			&nbsp;
			<input type="radio" value="false" name="watching" <ww:if test="watching == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
			<br><span class="subText">
				<ww:text name="'admin.generalconfiguration.watching.description'"/>
			</span>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.allow.unassigned.issues'"/>
        </span></td>
		<td bgcolor="#ffffff">
            <ww:if test="allowUnassigned == false || canSwitchUnassignedOff == true">
                <input type="radio" value="true" name="allowUnassigned" <ww:if test="allowUnassigned == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
                &nbsp;
                <input type="radio" value="false" name="allowUnassigned" <ww:if test="allowUnassigned == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
                <br><span class="subText">
                    <ww:text name="'admin.generalconfiguration.allow.unassigned.issues.description'"/>
                </span>
            </ww:if>
            <ww:else>
                <ww:if test="unassignedIssueCount > 0">
                    <p>
                    <span class="subText">
                    <ww:text name="'admin.generalconfiguration.allow.unassigned.issues.error1'">
                        <ww:param name="'value0'"><ww:text name="'admin.generalconfiguration.allow.unassigned.issues'"/></ww:param>
                        <ww:param name="'value1'"><ww:property value="unassignedIssueCount"/> <a href="<ww:url page="/secure/IssueNavigator.jspa"><ww:param name="'assigneeSelect'" value="'unassigned'"/><ww:param name="'reset'" value="'true'"/></ww:url>"></ww:param>
                        <ww:param name="'value2'"></a></ww:param>
                        <ww:param name="'value3'"><br></ww:param>
                        <ww:param name="'value4'"><br></ww:param>
                    </ww:text>
                    </span>
                    </p>
                </ww:if>
                <ww:if test="projectsWithDefaultUnassignedCount > 0">
                    <p>
                    <span class="subText">
                    <ww:text name="'admin.generalconfiguration.allow.unassigned.issues.error2'">
                        <ww:param name="'value0'"><ww:text name="'admin.generalconfiguration.allow.unassigned.issues'"/></ww:param>
                        <ww:param name="'value1'"><ww:property value="projectsWithDefaultUnassignedCount"/> <a href="<ww:url page="ViewProjects.jspa"/>"></ww:param>
                        <ww:param name="'value2'"></a></ww:param>
                        <ww:param name="'value3'"><br></ww:param>
                        <ww:param name="'value4'"><br></ww:param>
                    </ww:text>
                    </span>
                    </p>
                </ww:if>
            </ww:else>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.external.user.management'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="externalUM" <ww:if test="externalUM == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
			&nbsp;
			<input type="radio" value="false" name="externalUM" <ww:if test="externalUM == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
			<br><span class="subText">
			<ww:text name="'admin.generalconfiguration.external.user.management.description'">
                <ww:param name="'value0'"><br><b></ww:param>
                <ww:param name="'value1'"></b></ww:param>
                <ww:param name="'value2'"><b></ww:param>
                <ww:param name="'value3'"></b></ww:param>
            </ww:text>
			</span>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.external.password.management'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="externalPM" <ww:if test="externalPM == true">checked</ww:if>> <ww:text name="'admin.common.words.on'"/>
			&nbsp;
			<input type="radio" value="false" name="externalPM" <ww:if test="externalPM == false">checked</ww:if>> <ww:text name="'admin.common.words.off'"/>
			<br><span class="subText">
            <ww:text name="'admin.generalconfiguration.external.password.management.description'">
                <ww:param name="'value0'"><br><b></ww:param>
                <ww:param name="'value1'"></b></ww:param>
                <ww:param name="'value2'"><b></ww:param>
                <ww:param name="'value3'"></b></ww:param>
            </ww:text>
            </span>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
            <ww:text name="'admin.generalconfiguration.logout.confirmation'"/>
        </span></td>
		<td bgcolor="#ffffff">
        <input type="radio" value="never" id="logout_never" name="logoutConfirm" <ww:if test="logoutConfirm == 'never'">checked</ww:if>>
            <label for="logout_never"><ww:text name="'admin.common.words.never'"/></label> &nbsp;
        <input type="radio" value="cookie" id="logout_cookie" name="logoutConfirm" <ww:if test="logoutConfirm == 'cookie'">checked</ww:if>>
            <label for="logout_cookie"><ww:text name="'admin.common.words.cookie'"/></label> &nbsp;
		<input type="radio" value="always" id="logout_always" name="logoutConfirm" <ww:if test="logoutConfirm == 'always'">checked</ww:if>>
            <label for="logout_always"><ww:text name="'admin.common.words.always'"/></label> &nbsp;
			<br><span class="subText">
                <ww:text name="'admin.generalconfiguration.logout.confirmation.description'"/>
			</span>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.use.gzip.compression'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="useGzip" id="useGzipOn" <ww:if test="useGzip == true">checked</ww:if>> <label for="useGzipOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="false" name="useGzip" id="useGzipOff" <ww:if test="useGzip == false">checked</ww:if>> <label for="useGzipOff"><ww:text name="'admin.common.words.off'"/></label>
			<br><span class="subText">
                <ww:text name="'admin.generalconfiguration.use.gzip.compression.confirmation'"/>
                </span>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.accept.remote.api.calls'"/>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="allowRpc" id="allowRpcOn" <ww:if test="allowRpc == true">checked</ww:if>> <label for="allowRpcOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="false" name="allowRpc" id="allowRpcOff" <ww:if test="allowRpc == false">checked</ww:if>> <label for="allowRpcOff"><ww:text name="'admin.common.words.off'"/></label>
			<br><span class="subText">
                <ww:text name="'admin.generalconfiguration.accept.remote.api.calls.description'"/>
                </span>
		</td>
	</tr>

        <tr>
    		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
                <ww:text name="'admin.generalconfiguration.user.email.visibility'"/>
            </span></td>
    		<td bgcolor="#ffffff">
            <input type="radio" value="show" id="email_show" name="emailVisibility" <ww:if test="emailVisibility == 'show'">checked</ww:if>>
                <label for="email_show"><ww:text name="'admin.generalconfiguration.public'"/></label> &nbsp;
            <input type="radio" value="hide" id="email_hide" name="emailVisibility" <ww:if test="emailVisibility == 'hide'">checked</ww:if>>
                <label for="email_hide"><ww:text name="'admin.generalconfiguration.hidden'"/></label> &nbsp;
            <input type="radio" value="mask" id="email_mask" name="emailVisibility" <ww:if test="emailVisibility == 'mask'">checked</ww:if>>
                <label for="email_mask"><ww:text name="'admin.generalconfiguration.masked'"><ww:param name="value0">user at example dot com</ww:param></ww:text></label> &nbsp;
            <input type="radio" value="user" id="email_user" name="emailVisibility" <ww:if test="emailVisibility == 'user'">checked</ww:if>>
                <label for="email_user"><ww:text name="'admin.generalconfiguration.logged.in.only'"/></label> &nbsp;
    			<br><span class="subText">
                <ww:text name="'admin.generalconfiguration.user.email.visibility.description'"/>
    			</span>
    		</td>
    	</tr>


    <tr>
        <td align="right" valign="top" bgcolor="#fffff0"><span class="label">
            <ww:text name="'admin.generalconfiguration.commentlevel.visibility'"/>
        </span></td>
        <td bgcolor="#ffffff">
        <input type="radio" value="true" id="groupVisibilityOn" name="groupVisibility" <ww:if test="groupVisibility == true">checked</ww:if>>
            <label for="groupVisibilityOn"><ww:text name="'admin.generalconfiguration.commentlevel.visibility.both'"/></label> &nbsp;
        <input type="radio" value="false" id="groupVisibilityOff" name="groupVisibility" <ww:if test="groupVisibility == false">checked</ww:if>>
            <label for="groupVisibilityOff"><ww:text name="'admin.generalconfiguration.commentlevel.visibility.rolesonly'"/></label> &nbsp;
            <br><span class="subText">
            <ww:text name="'admin.generalconfiguration.commentlevel.visibility.description'"/>
            </span>
        </td>
    </tr>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.enable.email.header'">
			    <ww:param name="'value0'"><br>&nbsp;&nbsp;</ww:param>
			    <ww:param name="'value1'">Precedence: bulk</ww:param>
			</ww:text>
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="excludePrecedenceHeader" id="excludePrecedenceHeaderOn" <ww:if test="excludePrecedenceHeader == true">checked</ww:if>> <label for="excludePrecedenceHeaderOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="false" name="excludePrecedenceHeader" id="excludePrecedenceHeaderOff" <ww:if test="excludePrecedenceHeader == false">checked</ww:if>> <label for="excludePrecedenceHeaderOff"><ww:text name="'admin.common.words.off'"/></label>
			<br><span class="subText">
                <ww:text name="'admin.generalconfiguration.enable.email.header.description'">
                    <ww:param name="'value0'"><br></ww:param>
                    <ww:param name="'value1'">Precedence: bulk</ww:param>
                </ww:text>
                </span>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.enable.ajax.issue.picker'" />
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="ajaxIssuePicker" id="ajaxIssuePickerOn" <ww:if test="ajaxIssuePicker == true">checked</ww:if>> <label for="ajaxIssuePickerOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="false" name="ajaxIssuePicker" id="ajaxIssuePickerOff" <ww:if test="ajaxIssuePicker == false">checked</ww:if>> <label for="ajaxIssuePickerOff"><ww:text name="'admin.common.words.off'"/></label>
			<br/><span class="subText">
                <ww:text name="'admin.generalconfiguration.enable.ajax.issue.picker.description'">
                    <ww:param name="'value0'"><br></ww:param>
                </ww:text>
                </span>
		</td>
	</tr>
    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.enable.ajax.user.full.search'" />
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="true" name="ajaxUserPicker" id="ajaxUserPickerOn" <ww:if test="ajaxUserPicker == true">checked</ww:if>> <label for="ajaxUserPickerOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="false" name="ajaxUserPicker" id="ajaxUserPickerOff" <ww:if test="ajaxUserPicker == false">checked</ww:if>> <label for="ajaxUserPickerOff"><ww:text name="'admin.common.words.off'"/></label>
			<br/><span class="subText">
                <ww:text name="'admin.generalconfiguration.enable.ajax.user.full.search.description'">
                    <ww:param name="'value0'"><br/></ww:param>
                </ww:text>
                </span>
		</td>
	</tr>
    <tr>
		<td align="right" valign="top" bgcolor="#fffff0"><span class="label">
			<ww:text name="'admin.generalconfiguration.enabled.jql.autocomplete'" />
        </span></td>
		<td bgcolor="#ffffff">
			<input type="radio" value="false" name="jqlAutocompleteDisabled" id="jqlAutocompleteOn" <ww:if test="jqlAutocompleteDisabled == false">checked</ww:if>> <label for="jqlAutocompleteOn"><ww:text name="'admin.common.words.on'"/></label>
			&nbsp;
			<input type="radio" value="true" name="jqlAutocompleteDisabled" id="jqlAutocompleteOff" <ww:if test="jqlAutocompleteDisabled == true">checked</ww:if>> <label for="jqlAutocompleteOff"><ww:text name="'admin.common.words.off'"/></label>
			<br/><span class="subText">
                <ww:text name="'admin.generalconfiguration.enabled.jql.autocomplete.description'"/>
                </span>
		</td>
	</tr>

    <ui:select label="text('admin.generalconfiguration.ie.mime.sniffing')" name="'ieMimeSniffer'" template="radiomap.jsp"
        list="/validMimeSnifferOptions" listKey="'key'" listValue="'value'">
        <ui:param name="'checkRadio'" value="ieMimeSniffer" />
        <ui:param name="'description'"><ww:text name="'admin.generalconfiguration.ie.mime.sniffing.description'"/></ui:param>
    </ui:select>
	<tr>
		<td align="right" bgcolor="#fffff0">&nbsp;</td>
		<td bgcolor="#ffffff">&nbsp;</td>
	</tr>
</page:applyDecorator>
</body>
</html>
