<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schedulerdetails.scheduler.administration'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.schedulerdetails.scheduler.administration'"/></page:param>
    <page:param name="description">
        <ww:text name="'admin.schedulerdetails.page.description'"/>
    </page:param>
    <page:param name="width">100%</page:param>

    <ww:property value="scheduler/metaData">
    <p>
        <ww:text name="'admin.schedulerdetails.quartz.scheduler'">
            <ww:param name="'value0'"><b><ww:property value="schedulerName" /></b></ww:param>
            <ww:param name="'value1'"><b><ww:property value="schedulerInstanceId" /></b></ww:param>
        </ww:text><br>
        <ww:text name="'admin.schedulerdetails.scheduler.has.been.running.since'">
            <ww:param name="'value0'"><b><ww:property value="/outlookDate/formatDMYHMS(runningSince)" /></b></ww:param>
            <ww:param name="'value1'"><b><ww:property value="numJobsExecuted" /></b></ww:param>
        </ww:text><br>
        <ww:text name="'admin.schedulerdetails.job.store.is.class'">
            <ww:param name="'value0'"><b><ww:property value="jobStoreClass" /></b></ww:param>
        </ww:text> <ww:if test="jobStoreSupportsPersistence == false"><ww:text name="'admin.schedulerdetails.this.class.does.not.support.persistence'"/></ww:if><ww:else><ww:text name="'admin.schedulerdetails.this.class.supports.persistence'"/></ww:else><br>
        <ww:text name="'admin.schedulerdetails.the.thread.pool'">
            <ww:param name="'value0'"><b><ww:property value="threadPoolClass" /></b></ww:param>
            <ww:param name="'value1'"><b><ww:property value="threadPoolSize" /></b></ww:param>
        </ww:text><br>
    </p>
    <p>
        <ww:text name="'admin.schedulerdetails.paused'"/>:
        <ww:if test="paused == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
        <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else><br>
        <ww:text name="'admin.schedulerdetails.shutdown'"/>:
        <ww:if test="shutdown == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
        <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else>
    </p>
    </ww:property>
</page:applyDecorator>




<br>
<h3><ww:text name="'admin.schedulerdetails.jobs'"/></h3>
<hr>

<table width="100%" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
	<tr bgcolor=#f0f0f0>
        <td class="colHeaderLink" width="25%">
			<b><ww:text name="'common.words.name'"/></b>
		</td>
		<td class="colHeaderLink" width="55%">
			<b><ww:text name="'admin.schedulerdetails.class'"/></b>
		</td>
		<td class="colHeaderLink" width="20%">
			<b><ww:text name="'admin.common.words.attributes'"/></b>
		</td>
	</tr>

<ww:iterator value="scheduler/jobGroupNames" status="'outerstatus'">
    <tr bgcolor=#ffffff>
        <td colspan=4>
            <ww:if test="@outerstatus/first == false">&nbsp;<br></ww:if>
            <b><ww:text name="'admin.schedulerdetails.group'"/>: <ww:property value="." /></b>
        </td>
    </tr>

        <ww:iterator value="/scheduler/jobNames(.)" status="'status'">
        <ww:property value="/scheduler/jobDetail(., ..)">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign=top>
                    <ww:property value="name" />
                </td>
                <td valign=top>
                    <ww:property value="jobClass/name" />
                </td>
                <td valign=top>
                    <ww:text name="'admin.schedulerdetails.volatile'"/>:
                    <ww:if test="volatile == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
                    <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else><br>
                    <ww:text name="'admin.schedulerdetails.durable'"/>:
                    <ww:if test="durable == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
                    <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else><br>
                    <ww:text name="'admin.schedulerdetails.stateful'"/>:
                    <ww:if test="stateful == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
                    <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else>
                </td>
            </tr>
        </ww:property>
        </ww:iterator>

</ww:iterator>
    </table>
</td></tr></table>

</p>

<br>
<h3><ww:text name="'admin.schedulerdetails.triggers'"/></h3>
<hr>

<table width="100%" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
	<tr bgcolor=#f0f0f0>
        <td class="colHeaderLink" width="25%">
			<b><ww:text name="'common.words.name'"/></b>
		</td>
		<td class="colHeaderLink" width="40%">
			<b><ww:text name="'admin.schedulerdetails.job'"/></b>
		</td>
        <td class="colHeaderLink" width="15%">
			<b><ww:text name="'admin.schedulerdetails.next.fire'"/></b>
		</td>
		<td class="colHeaderLink" width="20%">
			<b><ww:text name="'admin.common.words.attributes'"/></b>
		</td>
	</tr>

<ww:iterator value="scheduler/triggerGroupNames" status="'outerstatus'">
   <tr bgcolor=#ffffff>
        <td colspan=4>
            <ww:if test="@outerstatus/first == false">&nbsp;<br></ww:if>
            <b><ww:text name="'admin.schedulerdetails.group'"/>: <ww:property value="." /></b>
        </td>
    </tr>

        <ww:iterator value="/scheduler/triggerNames(.)" status="'status'">
        <ww:property value="/scheduler/trigger(., ..)">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td>
                    <ww:property value="name" />
                </td>
                <td>
                    <ww:property value="fullJobName" />
                </td>
                <td nowrap>
                    <ww:property value="/outlookDate/formatDMYHMS(nextFireTime)" />
                </td>
                <td>
                    <ww:text name="'admin.schedulerdetails.volatile'"/>:
                    <ww:if test="volatile == true"><font color="#009900"><ww:text name="'admin.common.words.true'"/></font></ww:if>
                    <ww:else><font color="#990000"><ww:text name="'admin.common.words.false'"/></font></ww:else>
                </td>
            </tr>
        </ww:property>
        </ww:iterator>

</ww:iterator>
    </table>
</td></tr></table>

</p>

</body>
</html>
