<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.globalsettings.attachment.settings'"/></title>
</head>

<body>

    <page:applyDecorator name="jiratable">
        <page:param name="id">AttachmentSettings</page:param>
        <page:param name="title"><ww:text name="'admin.globalsettings.attachment.settings'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="titleColspan">2</page:param>
        <page:param name="helpURL">attachments</page:param>
        <page:param name="description">

        <ww:text name="'admin.attachmentsettings.instruction1'">
            <ww:param name="'value0'"><b></ww:param>
            <ww:param name="'value1'"><ww:text name="'admin.permissions.CREATE_ATTACHMENT'"/></ww:param>
            <ww:param name="'value2'"></b></ww:param>
        </ww:text>
        <ul>
          <li><ww:text name="'admin.attachmentsettings.attachment.path.explanation'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
              <ww:param name="'value2'"><br/></ww:param>
          </ww:text>
          </li>
          <li><ww:text name="'admin.attachmentsettings.attachment.size.explanation'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
          </ww:text>
          </li>
          <li><ww:text name="'admin.attachmentsettings.enable.thumbnails.explanation'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
          </ww:text>
          </li>
          <li><ww:text name="'admin.attachmentsettings.enable.zip.support.explanation'">
              <ww:param name="'value0'"><strong></ww:param>
              <ww:param name="'value1'"></strong></ww:param>
          </ww:text>
          </li>
        </ul>

          <ww:text name="'admin.common.phrases.more.information'"/>

          <ww:if test="/systemAdministrator == false && applicationProperties/option('jira.option.allowattachments') == false">
              <p>
              <ww:text name="'admin.attachmentsettings.disabled.contact.sys.admin'">
                  <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                  <%--<ww:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                  <%--<ww:param name="'value1'"></a></ww:param>--%>
                  <ww:param name="'value0'"> </ww:param>
                  <ww:param name="'value1'"> </ww:param>
              </ww:text>
              </p>
          </ww:if>
        </page:param>

        <tr class="rowNormal">
            <td valign="top"  width="40%" align="left">
            &nbsp; <b><ww:text name="'admin.attachmentsettings.allow.attachments'"/></b>
            <td width="60%">
                <ww:if test="applicationProperties/option('jira.option.allowattachments') == true">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b></font>
			    </ww:if>
			    <ww:else>
				    <font color="#990000"><b><ww:text name="'admin.common.words.off'"/></b></font>
                </ww:else>
            </td>
        </tr>
        <tr class="rowAlternate">
		<td valign="top" width="40%">&nbsp; <b><ww:text name="'admin.attachmentsettings.attachment.path'"/></b></td>
		<td valign="top" width="60%"><ww:property value="attachmentPath" /></td>
	</tr>
        <tr class="rowNormal">
            <td valign="top" width="40%">&nbsp; <b><ww:text name="'admin.attachmentsettings.attachment.size'"/></b></td>
            <td valign="top" width="60%"><ww:property value="prettyAttachmentSize"/></td>
        </tr>
        <tr class="rowAlternate">
            <td valign="top" width="40%" align="left">
            &nbsp; <b><ww:text name="'admin.attachmentsettings.enable.thumbnails'"/></b>
            </td>
            <td width="60%">
                <ww:if test="applicationProperties/option('jira.option.allowthumbnails') == true">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b></font>
			    </ww:if>
			    <ww:else>
				    <font color="#990000"><b><ww:text name="'admin.common.words.off'"/></b></font>
                </ww:else>
            </td>
        </tr>
        <tr class="rowNormal">
            <td valign="top" width="40%" align="left">
            &nbsp; <b><ww:text name="'admin.attachmentsettings.enable.zipsupport'"/></b>
            </td>
            <td width="60%">
                <ww:if test="/zipSupport == true">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b></font>
			    </ww:if>
			    <ww:else>
				    <font color="#990000"><b><ww:text name="'admin.common.words.off'"/></b></font>
                </ww:else>
            </td>
        </tr>
    </page:applyDecorator>
    <ww:if test="/systemAdministrator == true || applicationProperties/option('jira.option.allowattachments') == true">

        <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%" class="p-correction"><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink" colspan="2" align="center">
                    <a href="EditAttachmentSettings!default.jspa"><b><ww:text name="'admin.common.phrases.edit.configuration'"/></b></a>
                </td>
            </tr>
        </table>
        </td></tr></table>
        
    </ww:if>


</body>
</html>
