<%@ page import="webwork.action.CoreActionContext"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.externalimport.map.keys.to.projects'"/></title>
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">BugzillaRun.jspa</page:param>
    <page:param name="cancelURI"><ww:url value="'/secure/admin/views/ExternalImport.jspa'" /></page:param>
    <page:param name="submitId">import_submit</page:param>
    <page:param name="submitName"><ww:text name="'common.forms.import'"/></page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.select.keys.for.imported'"/></page:param>
    <page:param name="helpURL">bugzilla</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <b><ww:text name="'admin.step3of3'"/>:</b> <ww:text name="'admin.externalimport.select.keys.for.imported'"/>
        <ww:if test="/doesImportExceedUserLimit == true">
            <p/>
            <div class="warningBox">
                <ww:text name="'admin.externalimport.warn.user.limit.exceeded'">
                    <ww:param name="'value0'"><ww:property value="/unknownUsers/size"/></ww:param>
                </ww:text>
            </div>
        </ww:if>
    </page:param>

    <ww:iterator value="selectedProjects" status="'stat'">
        <%-- JRA-4043 - we need to build the dynamic input name with the project id not the name which can really make webwork angry --%>
        <ww:property value="@stat/index">
          <% request.setAttribute("bugzillaProjectKey", "project_"+CoreActionContext.getValueStack().findValue(".")); %>
          <% request.setAttribute("bugzillaProjectLead", "lead_"+CoreActionContext.getValueStack().findValue(".")); %>
        </ww:property>

        <tr>
           <td class="fieldLabelArea"><b><ww:text name="'common.concepts.project'"/>:</b></td>
           <td class="fieldValueArea"><ww:property /></td>
        </tr>

        <ww:if test="/projectWithNameExists(.) == true">
            <tr>
               <td class="fieldLabelArea"><b><ww:text name="'common.concepts.key'"/>:</b></td>
               <td class="fieldValueArea"><ww:property value="/selectedProjectKeys[.]" /></td>
            </tr>
        </ww:if>
        <ww:else>
            <ui:textfield label="text('common.concepts.key')" name="@bugzillaProjectKey" value="/selectedProjectKeys[.]" size="'10'"/>
        </ww:else>

        <ui:component label="text('common.concepts.projectlead')" name="@bugzillaProjectLead" value="remoteUser" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'size'">50</ui:param>
            <ui:param name="'userMode'" value="'2'"/>
            <ui:param name="'description'" value="text('admin.addproject.project.lead.description')"/>
            <ui:param name="'mandatory'" value="true" />
        </ui:component>

        <ui:component name="'selectedProjects'" value="." template="hidden.jsp" />

        <!-- JRA-12837 -->
        <ww:if test="/overSizedSummariesCount(.) > 0">
            <tr>
                <td class="fieldLabelArea"><span style="color:red; font-weight:bold;"><ww:text name="'common.words.note'"/>:</span></td>
                <td class="fieldValueArea">
                    <ww:text name="'admin.externalimport.warn.summary.overlimit'">
                        <ww:param name="'value0'" value="/summaryMaxLength" />
                    </ww:text>
                    <br/>
                    <ww:text name="'admin.externalimport.warn.summary.number.affected'"/>:
                    <span style="font-weight:bold;" id="sum_count_<ww:property value="@stat/index" />"><ww:property value="/overSizedSummariesCount(.)" /></span>
                </td>
            </tr>
        </ww:if>

    </ww:iterator>
        <ui:component name="'enableNotifications'" value="enableNotifications" template="hidden.jsp" />
        <ui:component name="'reuseExistingUsers'" value="reuseExistingUsers" template="hidden.jsp" />
        <ui:component name="'reindex'" value="reindex" template="hidden.jsp" />
        <ui:component name="'onlyNew'" value="onlyNew" template="hidden.jsp" />

</page:applyDecorator>
<script language="JavaScript">
function openMonitor() {
  win = window.open('BugzillaImport!monitor.jspa?decorator=none', 'BugzillaLogMonitor', 'status=no,resizable=yes,top=100,left=200,width=650,height=600,scrollbars=yes');
  win.focus();
  return false;
}
</script>
<a href="BugzillaImport!monitor.jspa?decorator=none" onClick="return openMonitor()"><ww:text name="'admin.externalimport.watch.logs.in.separate.window'"/></a>
</body>
</html>
