
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.import.restore.jira.data'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">XmlRestore.jspa</page:param>
	<page:param name="title"><ww:text name="'admin.import.restore.jira.data.from.backup'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="instructions">
		<ww:text name="'admin.import.instruction'"/>
        <p><ww:text name="'admin.import.restore.from.file'"/></p>
		<p>
		<ww:text name="'admin.import.warning'">
		    <ww:param name="'value0'"><span class="warning"></ww:param>
		    <ww:param name="'value1'"></span></ww:param>
		    <ww:param name="'value2'"><a href="XmlBackup!default.jspa"><b></ww:param>
		    <ww:param name="'value3'"></b></a></ww:param>
		</ww:text>
		</p>

		<ww:text name="'admin.import.note1'">
		    <ww:param name="'value0'"><span class="note"></ww:param>
		    <ww:param name="'value1'"></span></ww:param>
		</ww:text><br>
        <ww:text name="'admin.import.note2'">
            <ww:param name="'value0'"><span class="note"></ww:param>
            <ww:param name="'value1'"></span></ww:param>
        </ww:text><br>
		<ww:text name="'admin.import.note3'">
		    <ww:param name="'value0'"><span class="note"></ww:param>
		    <ww:param name="'value1'"></span></ww:param>
		</ww:text>

        <ww:if test="/licenseProblem != null">
            <p>
            <div class="noteBox">
                <p>
                <ww:text name="'setup.error.invalidlicensekey.importall.problem.title'"/>
                <p>
                <ww:property value="/licenseProblem" escape="false"/>
            </div>
        </ww:if>
        <ww:else>
            <p>
            <div class="noteBox">
                <p>
                <ww:text name="'setup.error.invalidlicensekey.v1.possible.warning'"/>
            </div>
        </ww:else>
        <ww:if test="/submitPathProblem != null">
            <p>
            <div class="warningBox">
                <p>
                <ww:text name="'admin.import.submit.path.warning.title'"/>
                <p>
                <ww:text name="/submitPathProblem">
                   <ww:param name="value0"><a id="reimport" href="#"><ww:text name="'admin.import.submit.path.warning.hyperlink'" /></a></ww:param>
                </ww:text>
            </div>
        </ww:if>
        <%--This is here for our functests so we can do a quick import where we just clear the cache--%>
        <input id="quickImport" type="checkbox" name="quickImport" value="true" style="display:none;"/>

	</page:param>
	<page:param name="submitId">restore_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.import.restore'"/></page:param>
	<page:param name="cancelURI">default.jsp</page:param>
    <page:param name="helpURL">restore_data</page:param>

	<ui:textfield label="text('admin.export.file.name')" name="'filename'">
		<ui:param name="'size'">100</ui:param>
		<ui:param name="'description'"><ww:text name="'admin.import.file.name.description'"/> <ww:property value="/defaultImportPath"/></ui:param>
	</ui:textfield>

    <ui:component template="paths/radio-indexing-restore.jsp" label="text('setup.indexpath.label')"/>

    <ui:textarea label="text('admin.import.license.if.required')" name="'license'" cols="50" rows="5">
        <ui:param name="'description'">
			<ww:text name="'admin.import.enter.a.license'"/>
		</ui:param>
    </ui:textarea>

    <ui:component name="'saxParser'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>
<script type="text/javascript">
   jQuery(function()
    {
        var hideErrors = function()
        {
            jQuery("div.warningBox").hide();
            jQuery("td.formErrors .errorArea,td.formErrors .errMsg").hide();
            jQuery("td.formErrors").removeClass("formErrors");
        };

        jQuery("#reimport").click(function(e) {
            e.preventDefault();
            hideErrors();
            //set the form to import with default paths
            jQuery("#restore_submit,#cancelButton").attr("disabled", "true");
            jQuery(this).closest("form").append("<input type='hidden' name='useDefaultPaths' value='true' />").submit();
        });
    });
</script>
</body>
</html>
