<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.integritychecker.integrity.checker'"/></title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.integritychecker.integrity.checker'"/></page:param>
    <page:param name="action">IntegrityChecker.jspa</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="columns">3</page:param>
    <page:param name="buttons">
        <input type="button" name="okbutton" value="<ww:text name="'admin.common.words.ok'"/>" onclick="location.href='IntegrityChecker!default.jspa'">
    </page:param>

    <page:param name="description">
        <ww:if test="/totalResults > 0">
            <ww:text name="'admin.integritychecker.x.errors.corrected'">
               <ww:param name="'value0'"><ww:property value="/totalResults"/></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.integritychecker.no.errors.corrected'"/>
        </ww:else>
    </page:param>

    <tr bgcolor=#f0f0f0>
        <td class="colHeaderLink" colspan="2" width="99%">
            <b><ww:text name="'common.concepts.description'"/></b>
        </td>
        <td class="colHeaderLink" width="1%">
            &nbsp;
        </td>
    </tr>

    <ww:iterator value="integrityChecks" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top" colspan="2" width="99%">
                <ww:property value="./description" />
            </td>
            <td width="1%">
                &nbsp;
            </td>
        </tr>
        <ww:iterator value="./checks">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign="top" width="1%">&nbsp;</td>
                <td valign="top" width="99%">
                    <table border="0" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td colspan="2">
                    <%-- Check if the action is available--%>
                    <ww:if test="available == false">
                        <font color="#999999"><ww:property value="./description"/> - <ww:property value="unavailableMessage"/></font>
                        </td></tr></table>
                    </ww:if>
                    <ww:else>
                        <%-- Work out the color for the check --%>
                        <ww:if test="/results/(.) != null && /results/(.)/empty == false">
                            <ww:if test="/hasWarningResults(.) == true">
                                <font color="#cc6600">
                            </ww:if>
                            <ww:else>
                                <font color="#009900">
                            </ww:else>
                        </ww:if>
                        <ww:else>
                            <font>
                        </ww:else>

                        <ww:property value="./description"/>
                        </font></td></tr>
                        <ww:if test="/results/(.) != null && /results/(.)/empty == false">
                                <ww:iterator value="/results/(.)">
                                    <tr>
                                        <td valign="top">
                                            <jira:linkbugkeys>
                                                &nbsp;&nbsp;
                                                <%-- determine the color of the message --%>
                                                <ww:if test="./warning == true">
                                                    <ww:text name="'admin.integritychecker.UNFIXABLE.ERROR'"/>:
                                                </ww:if>
                                                <ww:else>
                                                    <ww:text name="'admin.integritychecker.FIXED'"/>:
                                                </ww:else>
                                            </jira:linkbugkeys>
                                        </td>
                                        <td>
                                            <ww:if test="./warning == true">
                                                    <font color="#FF0004">
                                                </ww:if>
                                                <ww:else>
                                                    <font color="#009900">
                                                </ww:else>
                                            <jira:linkbugkeys>
                                                <ww:property value="./message" escape="false" /></font>
                                            </jira:linkbugkeys>
                                        </td>
                                        <td>
                                            <ww:if test="./bugId != null && ./bugId/trim/length > 0">
                                                <a href="http://jira.atlassian.com/secure/ViewIssue.jspa?key=<ww:property value="./bugId"/>"><ww:property value="./bugId"/></a>
                                            </ww:if>
                                            <ww:else>
                                                &nbsp;
                                            </ww:else>
                                        </td>
                                    </tr>
                                </ww:iterator>
                        </ww:if>
                        </table>
                        </font>
                    </ww:else>
                </td>
                <td width="1%" valign="top">
                    &nbsp;
                </td>
            </tr>
        </ww:iterator>
    </ww:iterator>
</page:applyDecorator>
</body>
</html>
