<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'admin.integritychecker.integrity.checker'"/></title>
</head>
<body>
<script language="JavaScript">
    function changeAll(checkbox)
    {
        checkStartingWith("<ww:property value="/integrityCheckPrefix"/>", checkbox.checked);
    }

    function changeIntegrity(checkbox)
    {
        checkStartingWith("<ww:property value="/checkPrefix"/>" + checkbox.name.split("_")[1], checkbox.checked);
    }

    function checkStartingWith(prefix, checked)
    {
        var elements = document.forms['jiraform'].elements;
        for (var i=0;i<elements.length;i++)
        {
            if (elements[i].name.indexOf(prefix) == 0)
            {
                elements[i].checked = checked;
            }
        }
    }
</script>
<page:applyDecorator name="jiraform">
    <page:param name="title"><ww:text name="'admin.integritychecker.integrity.checker'"/></page:param>
    <page:param name="action">IntegrityChecker.jspa</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="columns">3</page:param>
    <page:param name="buttons">
        <ww:if test="/hasCorrectableResults == true">
            <input type="submit" name="fix" value="<ww:text name="'admin.common.words.fix'"/>">
        </ww:if>
        <input type="submit" name="back" value="<ww:text name="'admin.common.words.back'"/>">
    </page:param>

    <page:param name="description">
        <ww:if test="/hasCorrectableResults == true">
            <ww:text name="'admin.integritychecker.choose'"/>
        </ww:if>
        <ww:else>
            <ww:text name="'admin.integritychecker.no.errors'"/>
        </ww:else>
    </page:param>

    <tr bgcolor=#f0f0f0>
        <td class="colHeaderLink" colspan="2" width="99%">
            <b><ww:text name="'common.concepts.description'"/></b>
        </td>
        <td class="colHeaderLink" width="1%">
            <ww:if test="/hasCorrectableResults == true">
                <input type="checkbox" name="all" onClick="changeAll(this)">&nbsp;&nbsp;
            </ww:if>
            <ww:else>
                &nbsp;
            </ww:else>
        </td>
    </tr>

    <ww:iterator value="integrityChecks" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top" colspan="2" width="99%">
                <ww:property value="./description" />
            </td>
            <td width="1%" nowrap>
                <%-- Only show the check box if we have correctable results for this integrity check --%>
                <ww:if test="/integrityCheckAvailable(.) == true">
                    <input type="checkbox" name="integrity_<ww:property value="./id"/>" value="<ww:property value="./id"/>" onClick="changeIntegrity(this)">&nbsp;&nbsp;
                </ww:if>
                <ww:else>
                    &nbsp;
                </ww:else>
            </td>
        </tr>
        <ww:iterator value="./checks">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign="top" width="1%">&nbsp;</td>
                <td valign="top" width="99%">
                    <table border="0" cellspacing="0" cellpadding="0" width="100%">
                    <tr><td colspan="2">
                    <%-- Check if the action is available--%>
                    <ww:if test="available == false">
                        <font color="#999999"><ww:property value="./description"/> - <ww:property value="unavailableMessage"/></font>
                        </td></tr></table>
                    </ww:if>
                    <ww:else>
                        <%-- Work out the color for the check --%>
                        <ww:if test="/checked(.) == true">
                            <ww:if test="/results/(.) != null && /results/(.)/empty == false">
                                <ww:if test="/hasCorrectableResults(.) == true">
                                    <font color="#990000">
                                </ww:if>
                                <ww:else>
                                    <font color="#cc6600">
                                </ww:else>
                            </ww:if>
                            <ww:else>
                                <ww:text name="'admin.integritychecker.PASSED'"/>:<font color="#009900">
                            </ww:else>
                        </ww:if>
                        <ww:else>
                            <%-- No color as the integrity check was not selected --%>
                            <font>
                        </ww:else>

                        <ww:property value="./description"/>
                        </font></td></tr>
                        <ww:if test="/results/(.) != null && /results/(.)/empty == false">
                                <ww:iterator value="/results/(.)">
                                    <tr>
                                        <td valign="top" nowrap="true">
                                            &nbsp;&nbsp;
                                            <%-- determine the color of the message --%>
                                            <ww:if test="./error == true">
                                                <ww:text name="'admin.integritychecker.ERROR'"/>:
                                            </ww:if>
                                            <ww:else>
                                                <ww:text name="'admin.integritychecker.UNFIXABLE.ERROR'"/>:
                                            </ww:else>
                                        </td>
                                        <td>
                                            <ww:if test="./error == true">
                                                <font color="#990000">
                                            </ww:if>
                                            <ww:else>
                                                <font color="#FF0004">
                                            </ww:else>
                                            <jira:linkbugkeys>
                                                <ww:property value="./message" escape="false" /></font>
                                            </jira:linkbugkeys>
                                        </td>
                                        <td>
                                            <ww:if test="./bugId != null && ./bugId/trim/length > 0">
                                                <a href="http://jira.atlassian.com/secure/ViewIssue.jspa?key=<ww:property value="./bugId"/>"><ww:property value="./bugId"/></a>
                                            </ww:if>
                                            <ww:else>
                                                &nbsp;
                                            </ww:else>
                                        </td>
                                    </tr>
                                </ww:iterator>
                        </ww:if>
                        </table>
                        </font>
                    </ww:else>
                </td>
                <td width="1%" valign="top" align="right">
                    <%-- Ensure that if the check box --%>
                    <ww:if test="/checkAvailable(.) == true">
                        <ww:component name="/checkId(.)" value="/checked(.)" label="''" template="checkbox.jsp" theme="'single'" >
                            <ww:param name="'fieldValue'" value="./id" />
                        </ww:component>
                    </ww:if>
                    <ww:else>
                            &nbsp;
                    </ww:else>
                </td>
            </tr>
        </ww:iterator>
    </ww:iterator>
</page:applyDecorator>
</body>
</html>
