<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.screenschemes.configure.screen.scheme'"/></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.issuefields.screenschemes.configure.screen.scheme'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">fieldscreenschemes</page:param>
    <ww:if test="/fieldScreensAllowed == true">
    <p>
        <ww:text name="'admin.issuefields.screenschemes.configure.page.description'">
            <ww:param name="'value0'"><b><ww:property value="/fieldScreenScheme/name" /></b></ww:param>
        </ww:text>
    </p>
    </ww:if>
    <p>
        <ww:text name="'admin.issuefields.screenschemes.configure.instruction'"/>
    </p>
    <p>
    <ww:if test="/enterprise == true">
        <ww:text name="'admin.issuefields.screenschemes.configure.instruction2'">
            <ww:param name="'value0'"><a href="ViewIssueTypeScreenSchemes.jspa"><ww:text name="'admin.projects.issue.type.screen.scheme'"/></a></ww:param>
        </ww:text>
    </ww:if>
    <ww:elseIf test="/professional == true">
        <ww:text name="'admin.issuefields.screenschemes.to.activate2'"/>
    </ww:elseIf>
    </p>
    <p>
        <ww:text name="'admin.issuefields.screenschemes.note2'">
            <ww:param name="'value0'"><span class="warning"></ww:param>
            <ww:param name="'value1'"></span></ww:param>
            <ww:param name="'value2'"><i></ww:param>
            <ww:param name="'value3'"></i></ww:param>
            <ww:param name="'value4'"><b></ww:param>
            <ww:param name="'value5'"></b></ww:param>
            <ww:param name="'value6'"><a href="ViewCustomFields.jspa"></ww:param>
            <ww:param name="'value7'"></a></ww:param>
        </ww:text>
    </p>
    <ww:if test="/fieldScreensAllowed == true">
    <ul class="square">
        <li><ww:text name="'admin.issuefields.screenschemes.view.all'">
            <ww:param name="'value0'"><b><a id="view_fieldscreenschemes" href="ViewFieldScreenSchemes.jspa"></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text></li>
    </ul>
    </ww:if>
</page:applyDecorator>
<p>
    <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'admin.issuefields.screenschemes.issue.operation'"/></b>
            </td>
            <td class="colHeaderLink" width="65%">
                <b><ww:text name="'admin.common.words.screen'"/></b>
            </td>
            <td class="colHeaderLink" width="15%" align="left">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:property value="/fieldScreenScheme">
            <ww:if test="./fieldScreenSchemeItems/empty == false">
                <ww:iterator value="./fieldScreenSchemeItems" status="'status'">
                <tr class="<ww:if test="@status/odd == true">rowNormal</ww:if><ww:else>rowAlternate</ww:else>">
                        <td valign=top>
                            <ww:if test="./issueOperation == null"><i><ww:property value="/text(./issueOperationName)" /></i><br><span class="small"><ww:text name="'admin.issuefields.screenschemes.used.for.unmapped'"/></class></ww:if>
                            <ww:else><ww:property value="/text(./issueOperationName)" /></ww:else>
                        </td>
                        <td valign=top>
                            <a id="configure_fieldscreen" href="ConfigureFieldScreen.jspa?id=<ww:property value="./fieldScreen/id" />"><ww:property value="./fieldScreen/name" /></a>
                        </td>
                        <td valign=top nowrap align="left">
                            <a id="edit_fieldscreenscheme_<ww:property value="text(./issueOperationName)"/>" href="EditFieldScreenSchemeItem!default.jspa?id=<ww:property value="/id" /><ww:if test="./issueOperation">&issueOperationId=<ww:property value="./issueOperation/id" /></ww:if>" title="<ww:text name="'admin.issuefields.screenschemes.edit.value'">
                                <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                            </ww:text>"><ww:text name="'common.words.edit'"/></a>
                            <%-- Only allow to delete non-default scheme entities --%>
                            <ww:if test="./issueOperation">
                            | <a id="delete_fieldscreenscheme_<ww:property value="text(./issueOperationName)"/>" href="DeleteFieldScreenSchemeItem.jspa?id=<ww:property value="/id" /><ww:if test="./issueOperation">&issueOperationId=<ww:property value="./issueOperation/id" /></ww:if>" title="<ww:text name="'admin.issuefields.screenschemes.delete.value'">
                                <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                            </ww:text>"><ww:text name="'common.words.delete'"/></a>
                            </ww:if>
                        </td>
                </tr>
                </ww:iterator>
            </ww:if>
            <ww:else>
                <tr><td colspan="3" bgcolor="#ffffff"><ww:text name="'admin.issuefields.screenschemes.no.issue.operation'"/></td></tr>
            </ww:else>
        </ww:property>
    </table>
</p>
<p>
<ww:if test="/addableIssueOperations/empty == false && /fieldScreens/empty == false">
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddFieldScreenSchemeItem.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.screenschemes.add.issue.operation'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.issuefields.screenschemes.association.instruction'">
                <ww:param name="'value0'"><b><ww:text name="'common.forms.add'"/></b></ww:param>
            </ww:text>
        </page:param>

        <ui:select label="text('admin.issuefields.screenschemes.issue.operation')" name="'issueOperationId'" list="/addableIssueOperations" listKey="'/issueOperaionId(.)'" listValue="'/text(./nameKey)'" />

        <ui:select label="text('admin.common.words.screen')" name="'fieldScreenId'" list="/fieldScreens" listKey="'./id'" listValue="'./name'">
            <ui:param name="'description'"><ww:text name="'admin.issuefields.screenschemes.add.description'"/></ui:param>
        </ui:select>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"/>
    </page:applyDecorator>
</ww:if>
<ww:else>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.issuefields.screenschemes.add.issue.operation'"/></page:param>
        <page:param name="width">100%</page:param>
        <ww:if test="/addableIssueOperations/empty == true">
            <p><ww:text name="'admin.issuefields.screenschemes.all.operations.have.an.association'"/></p>
        </ww:if>
        <ww:elseIf test="/fieldScreens/empty == true">
            <p><ww:text name="'admin.issuefields.screenschemes.no.screens.exist'">
                <ww:param name="'value0'"><b><a id="create_fieldscreen" href="ViewFieldScreens.jspa"></ww:param>
                <ww:param name="'value1'"></a></b></ww:param>
            </ww:text></p>
        </ww:elseIf>
    </page:applyDecorator>
</ww:else>
</p>
</body>
</html>
