<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.plugins.current.plugins'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.plugins.current.plugins'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">plugins</page:param>
    <ww:text name="'admin.plugins.extentions'">
          <ww:param name="'value0'"><strong class="icon-tools-small"><a href="<ww:component name="'external.link.jira.extensions'" template="externallink.jsp" />"></ww:param>
          <ww:param name="'value1'"></a></strong></ww:param>
    </ww:text>
</page:applyDecorator>
<p></p>
<page:applyDecorator name="plugins">
    <ww:if test="selectedPlugin">
        <ww:property value="selectedPlugin">
        <div id="plugin-info" style="background: #f0f0f0; padding: 4px 4px 2px 4px;">
        <h3 style="margin:0 0 10px 0; padding: 0 0 0 0;"><ww:property value="/pluginName(selectedPlugin)" /></h3>
            <ww:property value="pluginInformation">
                <ww:if test="pluginDesc(selectedPlugin)">
                    <b><ww:text name="'common.words.description'"/>:</b> <ww:property value="/pluginDesc(selectedPlugin)" /><br>
                </ww:if>
                <ww:if test="vendorName">
                    <b><ww:text name="'admin.plugins.vendor'"/>:</b>
                    <ww:if test="vendorUrl"><a href="<ww:property value="vendorUrl" />"></ww:if><ww:property value="vendorName" /><br><ww:if test="vendorUrl"></a></ww:if>
                </ww:if>
                <ww:if test="version">
                    <b><ww:text name="'admin.plugins.plugin.version'"/>:</b> <ww:property value="version" /><br>
                </ww:if>
                <ww:if test="maxVersion">
                    <b><ww:if test="maxVersion != minVersion"><ww:text name="'admin.plugins.jira.versions'"/></ww:if><ww:else><ww:text name="'admin.plugins.jira.version'"/></ww:else>:</b> <ww:property value="minVersion" /><ww:if test="maxVersion != minVersion"> - <ww:property value="maxVersion" /></ww:if><br>
                </ww:if>
            </ww:property>
            <b><ww:text name="'admin.plugins.installation.mode'"/>:</b> <ww:property value="/installationMode(selectedPlugin)"/><br/>

            <ww:if test="/pluginUnloadable(.) == false">
                <ww:if test="./pluginInformation/satisfiesMinJavaVersion() == true">
                    <ww:if test="/pluginEnabled(.) == true">
                        <ww:if test="./containsSystemModule() == false && ./systemPlugin == false">
                           <ww:property id="configUrlString" value="'configure.url'" />
                               <ww:if test="pluginInformation/parameters/containsKey(@configUrlString) != false">
                                   <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" alt=""/>
                                   <a href="<ww:url value="pluginInformation/parameters/(@configUrlString)" />"><ww:text name="'admin.plugins.configure.plugin'"/></a><br>
                               </ww:if>
                            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" alt=""/>
                            <a href="<ww:url page="ViewPlugins.jspa?mode=disable"><ww:param name="'pluginKey'" value="key" /></ww:url>"><ww:text name="'admin.plugins.disable.plugin'"/></a>
                        </ww:if>
                    </ww:if>
                    <ww:else>
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" alt=""/>
                        <a href="<ww:url page="ViewPlugins.jspa?mode=enable"><ww:param name="'pluginKey'" value="key" /></ww:url>"><ww:text name="'admin.plugins.enable.plugin'"/></a>
                    </ww:else>
                </ww:if>
                <ww:else>
                    <font color="red"><ww:text name="'admin.plugins.requires.java'">
                        <ww:param name="'value0'"><ww:property value="./pluginInformation/minJavaVersion" /></ww:param>
                    </ww:text></font>
                </ww:else>
            </ww:if>
            <ww:else>
                <div class="errorbox">
                    <span class="errMsg"><ww:text name="'admin.plugin.error.unloadable.desc'"/>:<br/><ww:property value="/errorText(.)"/></span>
                </div>
            </ww:else>

        </div>
        <div class="padded">

            <table class="grid" width="95%">
            <ww:iterator value="moduleDescriptors">
                <tr <ww:if test="/pluginEnabled(..) == true && /moduleEnabled(.) == true">style="background: #ddffdd;"</ww:if><ww:else>style="background: #ffdddd;"</ww:else>>
                    <td valign="top" align="left">
                        <b><ww:property value="name" /></b> (<ww:property value="key" />)
                        <ww:if test="description">
                            <br>
                            <ww:property value="description" />
                        </ww:if>
                        <ww:if test="/pluginUnloadable(..) == true || /unrecognisedModule(.) == true">
                            <ww:if test="./errorText">
                                <br/>
                                <strong><ww:text name="'admin.errors.general.error.occurred'">
                                    <ww:param name="'value0"><span class="small errMsg"><ww:property value="./errorText"/></span></ww:param>
                                </ww:text></strong>
                            </ww:if>
                        </ww:if>

                    </td>
                    <td valign="top" class="smallfont" nowrap width=16 align="center">
                        <ww:if test="/pluginEnabled(..) == true">
                            <ww:if test="./satisfiesMinJavaVersion() == true">
                                <ww:if test="./systemModule == false && ../systemPlugin == false">
                                    <ww:if test="unrecognisedModule(.) == true">
                                        <span class="small errMsg"><ww:text name="'admin.plugins.unrecognised.module'"/></span>
                                    </ww:if>
                                    <ww:else>
                                        <ww:if test="/moduleEnabled(.) == true">
                                            <a id="disable-<ww:property value="completeKey" />" href="<ww:url page="ViewPlugins.jspa?mode=disable"><ww:param name="'moduleKey'" value="completeKey" /></ww:url>"><ww:text name="'admin.plugins.disable.module'"/></a>
                                        </ww:if>
                                        <ww:else>
                                            <a id="enable-<ww:property value="completeKey" />" href="<ww:url page="ViewPlugins.jspa?mode=enable"><ww:param name="'moduleKey'" value="completeKey" /></ww:url>"><ww:text name="'admin.plugins.enable.module'"/></a>
                                        </ww:else>
                                    </ww:else>
                                </ww:if>
                            </ww:if>
                            <ww:else>
                                <font color="red"><ww:text name="'admin.plugins.requires.java'">
                                    <ww:param name="'value0'"><ww:property value="./minJavaVersion" /></ww:param>
                                </ww:text></font>
                            </ww:else>
                        </ww:if>
                        <ww:else>&nbsp;</ww:else>
                    </td>
                </tr>
            </ww:iterator>
            </table>
        </div>
        </ww:property>
    </ww:if>
    <ww:else>
        <div class="errorbox"><ww:text name="'admin.plugins.select.a.plugin'"/></div>
    </ww:else>
</page:applyDecorator>

</body>
</html>
