
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.services.edit.service'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">EditService.jspa</page:param>
	<page:param name="submitId">update_submit</page:param>
	<page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewServices!default.jspa</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="title"><ww:text name="'admin.services.edit.service'"/>: <ww:property value="service/name" /></page:param>
    <page:param name="helpURL">services</page:param>
    <page:param name="helpURLFragment">#messagehandlers</page:param>
	<page:param name="description">
        <ww:if test="description != ''"><b><ww:text name="'common.words.description'"/>:</b><br><ww:property value="text(description)" escape="false" /><br></ww:if>
        <b><ww:text name="'admin.common.words.instructions'"/>:</b><br><ww:text name="'admin.services.edit.instructions'"/>
          <ww:if test="service/serviceClass == 'com.atlassian.jira.service.services.file.FileService'">
            <br>
            <ww:text name="'admin.services.edit.file.service.directory'">
                <ww:param>[jira.home]/mail/</ww:param>
            </ww:text>
        </ww:if>
    </page:param>
    <page:param name="instructions" >
        <ww:if test="/removedPath != null">
            <div class="noteBox">
                <ww:text name="'admin.services.edit.removed.path.msg'"/> <strong><ww:property value="/removedPath"/></strong>
            </div>
         </ww:if>
        <ww:if test="/validMailParameters == false">
            <%@include file="/includes/admin/email/badmailprops.jsp"%>
        </ww:if>
    </page:param>
    <ww:iterator value="/objectConfigurationKeys" >
    <%@ include file="/includes/panels/objectconfiguration_form.jsp"  %>
    </ww:iterator>

    <tr><td colspan=2 bgcolor=#f0f0f0>
        <ww:text name="'admin.services.edit.delay'"/>
    </td></tr>

	<ui:textfield label="text('admin.services.delay')" name="'delay'" size="'30'">
        <ui:param name="'description'"><ww:text name="'admin.services.edit.delay.description'"/></ui:param>
    </ui:textfield>

	<ui:component name="'id'" template="hidden.jsp" />
    <ww:iterator value="/hiddenParameters" status="''">
        <ui:component name="./key" value="./value" template="hidden.jsp" />
    </ww:iterator>
    

</page:applyDecorator>

</body>
</html>
