<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.services.services'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.services.services'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">services</page:param>
</page:applyDecorator>


<table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="95%" class="p-correction"><tr><td>
<table id="tbl_services" border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=#f0f0f0>
		<td class="colHeaderLink" width="30%">
			<b><ww:text name="'admin.common.phrases.name.class'"/></b>
		</td>
		<td class="colHeaderLink" width="50%">
			<b><ww:text name="'admin.common.words.properties'"/></b>
		</td>
        <td class="colHeaderLink" width="15%">
			<b><ww:text name="'admin.services.delay.mins'"/></b>
		</td>
		<td class="colHeaderLink" width="5%">
			<b><ww:text name="'common.words.operations'"/></b>
		</td>
	</tr>

	<ww:iterator value="services" status="'status'">
    <tr <ww:if test="./usable == false">class="disabled"</ww:if> bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
		<td valign=top>
            <b><ww:property value="./name"/></b><br>
    		<font size=1><ww:property value="./serviceClass"/></font>
        </td>
		<td valign=top>
        <%-- get the property set for this service, and then get all the keys where the propertyset is of type String ('5') --%>
			<table cellpadding=2 cellspacing=0 border=0>
                <ww:iterator value="/propertyMap(.)/keySet">
                    <tr><td><b><ww:property value="." />:</b></td><td><ww:property value="/text(/propertyMap(..)/(.))" /></td></tr>
                </ww:iterator>
			</table>
		</td>
        <td valign=top><ww:property value="delayInMins(.)"/></td>
		<td valign=top <ww:if test="./usable == false">class="disabled"</ww:if>>
            <ww:if test="./usable == true">
                <a id="edit_<ww:property value="id"/>" href="<ww:url page="EditService!default.jspa"><ww:param name="'id'" value="id"/></ww:url>"><ww:text name="'common.words.edit'"/></a><br>
                <ww:if test="./internal == false">
                    <a id="del_<ww:property value="id"/>" href="<ww:url page="ViewServices.jspa"><ww:param name="'delete'" value="id"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
                </ww:if>
            </ww:if>
            <ww:else>
                <a id="del_<ww:property value="id"/>" href="<ww:url page="ViewServices.jspa"><ww:param name="'delete'" value="id"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
            </ww:else>
		</td>
	</tr>
	</ww:iterator>
</table>
</td></tr></table>


<script type="text/javascript">
  function showServices() {
        var servicesDiv = document.getElementById("builtinServices");
        var servicesArrow = document.getElementById("builtinServicesArrow");
        if (servicesDiv.style.display == 'none') {
          servicesDiv.style.display = '';
          servicesArrow.src='<%= request.getContextPath() %>/images/icons/navigate_down.gif';
        } else {
          servicesDiv.style.display='none';
          servicesArrow.src='<%= request.getContextPath() %>/images/icons/navigate_right.gif';
        }
  }
  function setService(clazz) {
        var classField = document.getElementById("serviceClass");
        var nameField = document.getElementById("serviceName");
        classField.value = clazz;
        nameField.focus();
  }
</script>

<page:applyDecorator name="jiraform">
	<page:param name="action">ViewServices.jspa</page:param>
	<page:param name="submitId">addservice_submit</page:param>
	<page:param name="submitName"><ww:text name="'admin.services.add.service'"/></page:param>
	<page:param name="title"><ww:text name="'admin.services.add.service'"/></page:param>
	<page:param name="width">100%</page:param>
    <page:param name="helpURL">services</page:param>
    <page:param name="helpURLFragment">#Registering+a+Service</page:param>
<%--	<page:param name="helpDescription">with Services</page:param>--%>
	<page:param name="description"><ww:text name="'admin.services.add.service.instruction'"/></page:param>

	<ui:textfield label="text('common.words.name')" name="'name'" size="'30'">
        <ui:param name="'cssId'">serviceName</ui:param>
    </ui:textfield>

	<ui:textfield label="text('admin.services.class')" name="'clazz'" size="'60'">
        <ui:param name="'cssId'">serviceClass</ui:param>
        <ui:param name="'description'">

        <img id="builtinServicesArrow" src="<%= request.getContextPath() %>/images/icons/navigate_right.gif" width=8 height=8 border=0>
        <a href="#"  onclick="showServices(); return false;"><ww:text name="'admin.services.built.in.services'"/></a>

              <div id="builtinServices" style="font-size: 90%; display: none">
                  <ul>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.service.services.export.ExportService');"><ww:text name="'admin.services.backup.service'"/></a> </li>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.service.services.pop.PopService');"><ww:text name="'admin.services.create.issues.from.pop'"/></a> </li>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.service.services.imap.ImapService');"><ww:text name="'admin.services.create.issues.from.imap'"/></a> </li>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.service.services.file.FileService');"><ww:text name="'admin.services.create.issues.from.local.files'"/></a> </li>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.jelly.service.JellyService');"><ww:text name="'admin.services.jelly.service'"/></a> </li>
                      <li> <a href="#" onclick="setService('com.atlassian.jira.service.services.DebugService');"><ww:text name="'admin.services.debugging.service'"/></a> </li>
                  </ul>
              </div>

        </ui:param>
    </ui:textfield>
	<ui:textfield label="text('admin.services.delay')" name="'delay'" size="'30'">
        <ui:param name="'description'"><ww:text name="'admin.services.delay.description'"/></ui:param>
    </ui:textfield>
</page:applyDecorator>


</body>
</html>
