
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.cvsmodules.code.repositories'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.menu.globalsettings.cvs.modules'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">cvs_integration</page:param>
    <p>
    <ww:text name="'admin.cvsmodules.description'"/>
    </p>
    <ww:if test="/systemAdministrator == true">
    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0>
        <ww:text name="'admin.cvsmodules.add.new.cvs.module'">
            <ww:param name="'value0'"><a id="add_cvs_module" href="AddRepository!default.jspa"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text>
        </p>
    </ww:if>
    <ww:else>
        <ww:text name="'admin.errors.must.be.sys.admin.to.create'">
            <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
            <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
            <%--<ww:param name="'value1'"></a></ww:param>--%>
            <ww:param name="'value0'"> </ww:param>
            <ww:param name="'value1'"> </ww:param>
        </ww:text>
    </ww:else>
</page:applyDecorator>

<p>

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table id="cvs_modules_table" border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.common.words.details'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="repositories" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><ww:property value="name"/></b>

                <ww:if test="description">
                    <br>
                    <font size=1><ww:property value="description"/></font>
                </ww:if>
            </td>
            <td valign=top>
                <b><ww:text name="'admin.cvsmodules.log.file.path'"/></b>:
                <ww:if test="./cvsLogFilePath">
                     <ww:property value="./cvsLogFilePath" /><br>
                </ww:if>
                <ww:else>
                    <span class="warning"><ww:text name="'admin.cvsmodules.not.set'"/></span><br>
                </ww:else>
                <b><ww:text name="'admin.cvsmodules.cvs.root'"/></b>: <ww:property value="./cvsRoot" /><br>
                <b><ww:text name="'admin.cvsmodules.module.name'"/></b>: <ww:property value="./moduleName" /><br>
                <b><ww:text name="'admin.cvsmodules.log.retrieval'"/></b>: <ww:if test="./fetchLog == true"><ww:text name="'admin.cvsmodules.periodic.retrieval'"/></ww:if><ww:else><ww:text name="'admin.cvsmodules.log.needs.manual.update'"/></ww:else><br>
                <b><ww:text name="'admin.cvsmodules.cvs.timeout'"/></b>: <ww:property value="./cvsTimeoutStringInSeconds" /> seconds<br>                
                <ww:property value="/viewCVSBaseUrl(.)">
                    <b><ww:text name="'admin.cvsmodules.viewcvs.url'"/></b>: <ww:property />
                    <ww:if test=". != ''">
                        <br><b><ww:text name="'admin.cvsmodules.viewcvs.root.param'"/></b>: <ww:property value="/viewCVSRootParameter(..)" />
                    </ww:if>
                </ww:property>
            </td>
            <td valign=top>
                <ww:if test="/projects(.) != null && /projects(.)/empty == false">
                    <ww:iterator value="/projects(.)">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="./string('name')" /></a><br>
                    </ww:iterator>
                </ww:if>
                <ww:else>
                    &nbsp;
                </ww:else>
            </td>

            <td valign=top align=left>
                <ww:if test="/systemAdministrator == true">
                    <a id="edit_<ww:property value="id"/>" href="UpdateRepository!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.edit'"/></a>
                    | <a id="test_<ww:property value="id"/>" href="<ww:url value="'RepositoryTest.jspa'"><ww:param name="'id'" value="id"/></ww:url>"><ww:text name="'admin.common.words.test'"/></a>
                    <ww:if test="/deletable(.) == true">
                        | <a id="delete_<ww:property value="id"/>" href="DeleteRepository!default.jspa?id=<ww:property value="id"/>"><ww:text name="'common.words.delete'"/></a>
                    </ww:if>
                </ww:if>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="repositories/size == 0">
            <tr>
                <td colspan=4 bgcolor=#ffffff>
                    <ww:text name="'admin.cvsmodules.no.modules.configured'"/>
                </td>
            </tr>
        </ww:if>
    </table>
    </td></tr></table>

</p>



</body>
</html>
