<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.translations.activate.workflow'">
	    <ww:param name="'value0'"><ww:property value="workflowName"/></ww:param>
	</ww:text></title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="columns">1</page:param>
        <page:param name="title"><ww:text name="'admin.translations.activate.workflow'">
	    <ww:param name="'value0'"><ww:property value="workflowName"/></ww:param></ww:text>
        </page:param>
        <page:param name="description">
            <ww:if test="/statusesNeedingMigration/empty == false">
                <p><ww:text name="'admin.translations.activate.migrate.statuses.from.old'"/></p>
            </ww:if>
            <ww:else>
                <p><ww:text name="'admin.translations.activate.confirm.activation'">
                    <ww:param name="'value0'"><b><ww:property value="workflowName"/></b></ww:param>
                </ww:text></p>
            </ww:else>
             <p><ww:text name="'admin.translations.activate.notice'"/></p>
             <ww:if test="/systemAdministrator == true">
                 <ww:text name="'admin.translations.activate.note.1'">
                     <ww:param name="'value0'"><span class=warning></ww:param>
                     <ww:param name="'value1'"></span></ww:param>
                     <ww:param name="'value2'"><a href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa"></ww:param>
                     <ww:param name="'value3'"></a></ww:param>
                 </ww:text>
             </ww:if>
            <ww:else>
                <ww:text name="'admin.translations.activate.note.1.admin'">
                    <ww:param name="'value0'"><span class="note"></ww:param>
                    <ww:param name="'value1'"></span></ww:param>
                    <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                    <%--<ww:param name="'value2'"><a href="<%=request.getContextPath()%>/secure/Administrators.jspa#sysadmins"></ww:param>--%>
                    <%--<ww:param name="'value3'"></a></ww:param>--%>
                    <ww:param name="'value2'"> </ww:param>
                    <ww:param name="'value3'"> </ww:param>
                </ww:text>
            </ww:else>
             <p><ww:text name="'admin.translations.activate.note.2'" >
                 </ww:text></p>
        </page:param>
        <%-- TODO - until we have an All Tasks Page this is disabled --%>
        <%--<page:param name="instructions">--%>
            <%--<ww:if test="anyLiveTasks == true">--%>
                <%--<ui:component template="taskwarning.jsp"/>    --%>
            <%--</ww:if>--%>
         <%--</page:param>--%>

       <tr bgcolor="#ffffff"><td>
         <ww:if test="currentTask">
             <ww:text name="'admin.translations.activate.blocked.by.user'">
                 <ww:param name="'value0'"><a href="<ww:property value="currentTask/userURL"/>"><ww:property value="currentTask/user"/></a></ww:param>
             </ww:text>

             <ww:text name="'admin.translations.activate.goto.progressbar'">
                 <ww:param name="'value0'"><a href="<ww:property value="currentTask/progressURL"/>"></ww:param>
                 <ww:param name="'value1'"><ww:text name="'common.words.here'"/></ww:param>
                 <ww:param name="'value2'"></a></ww:param>
             </ww:text>
        </ww:if>
        <ww:else>
            <page:param name="action">ActivateWorkflow.jspa</page:param>
            <page:param name="submitId">activate_submit</page:param>
            <page:param name="submitName"><ww:text name="'admin.common.words.activate'"/></page:param>
            <page:param name="autoSelectFirst">false</page:param>

            <ww:if test="/statusesNeedingMigration/empty == false">
                <table width="50%" align="center">
                <tr><td>
                    <div class="borderedBox">
                        <table bgcolor="#ffffff" width="100%">
                            <tr>
                                <td width="1%" nowrap><b><ww:text name="'admin.translations.activate.old.status'"/></b></td>
                                <td width="1%"></td>
                                <td width="1%" nowrap><b><ww:text name="'admin.translations.activate.new.status'"/></b></td>
                            </tr>
                            <ww:iterator value="/statusesNeedingMigration">
                            <tr bgcolor="#ffffff">
                                <td nowrap>
                                <ww:component name="'status'" template="constanticon.jsp">
                                    <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                                    <ww:param name="'iconurl'" value="./string('iconurl')" />
                                    <ww:param name="'alt'"><ww:property value="./string('name')" /></ww:param>
                                    <ww:param name="'title'"><ww:property value="./string('name')" /> - <ww:property value="./string('description')" /></ww:param>
                                </ww:component>
                                <ww:property value="./string('name')" />
                                </td>

                                <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>

                                <%-- the name of the select list will be mapping_statusId (generated by action as I can't concat here) --%>
                                <ui:select label="text('issue.field.status')" name="/selectListName(.)" list="/targetStatuses" listKey="'string('id')'" listValue="'string('name')'" theme="'single'">
                                    <ui:param name="'mandatory'" value="true"/>
                                </ui:select>
                            </tr>
                            </ww:iterator>
                        </table>
                    </div>
                </td></tr>
                </table>
            </ww:if>
        </ww:else>
        <page:param name="cancelURI"><ww:url page="ListWorkflows.jspa"></ww:url></page:param>
        </td></tr>

        <ui:component name="'workflowName'" template="hidden.jsp"/>
        <ui:component name="'workflowMode'" value="'live'"  template="hidden.jsp"/>
    </page:applyDecorator>
</body>
</html>
