<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title>
        <ww:if test="/currentTask/finished == false">
            <meta http-equiv="refresh" content="5">
        </ww:if>
        <ww:text name="'admin.translations.activate.workflow'">
            <ww:param name="'value0'">
                <ww:property value="workflowName"/>
            </ww:param>
        </ww:text>
    </title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="columns">1</page:param>
    <page:param name="method">get</page:param>
    <page:param name="instructions">
        <ww:if test="/currentTask/finished == true && /currentTask/userWhoStartedTask == false">
            <div class="infoBox">
            <ww:text name="'common.tasks.cant.acknowledge.task.you.didnt.start'">
                <ww:param name="'value0'"><a href="<ww:property value="/currentTask/userURL"/>"><ww:property value="/currentTask/user"/></a></ww:param>
            </ww:text>
            </div>
        </ww:if>
    </page:param>
    <tr bgcolor="#ffffff">
        <td>
            <ui:component template="taskdescriptor.jsp" name="'/currentTask'"/>
            <ww:if test="/done == true">
                <page:param name="title">
                    <ww:text name="'admin.translations.activate.workflow.success'">
                        <ww:param name="'value0'">
                            <ww:property value="workflowName"/>
                        </ww:param>
                    </ww:text>
                </page:param>
                <page:param name="action">AcknowledgeTask.jspa</page:param>
                <ww:if test="/currentTask/userWhoStartedTask == true">
                    <page:param name="submitId">acknowledge_submit</page:param>
                    <page:param name="submitName"><ww:text name="'common.words.acknowledge'"/></page:param>
                    <ui:component name="'taskId'" template="hidden.jsp"/>
                </ww:if>
                <ww:else>
                    <page:param name="submitId">done_submit</page:param>
                    <page:param name="submitName"><ww:text name="'common.words.done'"/></page:param>
                </ww:else>
                <ui:component name="'destinationURL'" template="hidden.jsp"/>
            </ww:if>
            <ww:else>
                <ww:if test="/currentTask == null">
                    <page:param name="title">
                        <ww:text name="'common.tasks.task.not.found.title'"/>
                    </page:param>
                    <page:param name="action">ListWorkflows.jspa</page:param>
                    <page:param name="submitId">done_submit</page:param>
                    <page:param name="submitName"><ww:text name="'common.words.done'"/></page:param>
                </ww:if>
                <ww:else>
                    <page:param name="title">
                        <ww:text name="'admin.translations.activate.workflow.inprogress'">
                            <ww:param name="'value0'">
                                <ww:property value="workflowName"/>
                            </ww:param>
                        </ww:text>
                    </page:param>
                    <page:param name="action">ActivateWorkflowStep2.jspa</page:param>
                    <page:param name="submitId">refresh_submit</page:param>
                    <page:param name="submitName"><ww:text name="'admin.common.words.refresh'"/></page:param>
                    <page:param name="autoSelectFirst">false</page:param>

                    <ui:component name="'taskId'" template="hidden.jsp"/>
                </ww:else>
            </ww:else>
        </td>
    </tr>

</page:applyDecorator>
</body>
</html>
