<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.schemes.workflow.workflow.schemes'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.schemes.workflow.workflow.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">workflow</page:param>

    <p>
    <ww:text name="'admin.schemes.workflow.description'"/>
    </p>
    <p>
        <ww:text name="'admin.schemes.workflow.all.schemes.have.one.of.two.modes'"/>
        <ul>
            <li><ww:text name="'admin.schemes.workflow.active.description'">
                <ww:param name="'value0'"><font color="darkgreen"><b></ww:param>
                <ww:param name="'value1'"></b></font></ww:param>
            </ww:text></li>
            <li><ww:text name="'admin.schemes.workflow.inactive.description'">
                <ww:param name="'value0'"><font color="darkred"><b></ww:param>
                <ww:param name="'value1'"></b></font></ww:param>
                <ww:param name="'value2'"><b></ww:param>
                <ww:param name="'value3'"></b></ww:param>
            </ww:text></li>
        </ul>
        <ww:text name="'admin.schemes.workflow.to.edit.a.scheme'"/>
    </p>
    <p>
    <ww:text name="'admin.schemes.workflow.for.each.scheme'"/>
    <ul>
        <li><ww:text name="'admin.schemes.workflow.assign.default.workflow'"/></li>
        <li><ww:text name="'admin.schemes.workflow.override.this.default.workflow'"/></li>
    </ul>
    </p>
    <ul class="square">
        <li><ww:text name="'admin.schemes.workflow.add.a.new.workflow.scheme'">
            <ww:param name="'value0'"><b><a id="add_workflowscheme" href="<ww:url page="AddWorkflowScheme!default.jspa"/>"></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text></li>
        <li><ww:text name="'admin.schemes.workflow.list.current.workflows'">
            <ww:param name="'value0'"><b><a id="list_workflows" href="<%= request.getContextPath() %>/secure/admin/workflows/ListWorkflows.jspa"></ww:param>
            <ww:param name="'value1'"></a></b></ww:param>
        </ww:text></li>
    </ul>
</page:applyDecorator>

<p>

    <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%"><tr><td>
    <table id="workflow_schemes_table" border="0" cellpadding="3" cellspacing="1" width="100%">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.common.phrases.active.inactive'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'admin.schemes.workflow.workflows'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <ww:iterator value="schemes" status="'status'">
        <tr bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top">
                <b>
                <a id="workflowscheme_<ww:property value="long('id')"/>" href="<ww:url page="EditWorkflowSchemeEntities!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:property value="string('name')"/></a>
                </b><br>
                <ww:property value="string('description')"/></td>
            <td valign="top" nowrap>
            <ww:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<ww:property value="long('id')" />"><ww:property value="string('name')" /></a><br>
            </ww:iterator>
            </td>
            <td valign="top" nowrap>
               <ww:if test="/active(.) == true">
                   <font color="darkgreen"><b><ww:text name="'admin.common.words.active'"/></b></font>
               </ww:if>
               <ww:else>
                   <font color="darkred"><b><ww:text name="'admin.common.words.inactive'"/></b></font>
               </ww:else>
            </td>
            <td valign="top" nowrap>
                <table border="0" cellpadding="2" cellspacing="0" class="grid" width="100%">
                    <tr>
                        <td><b><ww:text name="'admin.schemes.issuesecurity.unassigned.types'"/>:</b></td>
                        <td>
                        <a title="<ww:text name="'admin.workflows.view.workflow.steps'"/>" href="<ww:url value="'/secure/admin/workflows/ViewWorkflowSteps.jspa'" ><ww:param name="'workflowMode'" value="'live'" /><ww:param name="'workflowName'" value="defaultEntity(.)/string('workflow')" /></ww:url>"><ww:property value="defaultEntity(.)/string('workflow')" /></a>
                        </td>
                    <tr>

                    <ww:iterator value="nonDefaultEntities(.)">
                        <tr>
                            <td>
                                <b>
                                    <ww:property value="/constantsManager/issueTypeObject(string('issuetype'))">
                                        <ww:component name="'issuetype'" template="constanticon.jsp">
                                            <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                                            <ww:param name="'iconurl'" value="./iconUrl" />
                                            <ww:param name="'alt'"><ww:property value="./nameTranslation" /></ww:param>
                                            <ww:param name="'title'"><ww:property value="./nameTranslation" /> - <ww:property value="./descTranslation" /></ww:param>
                                        </ww:component>
                                        <ww:property value="./nameTranslation" />
                                    </ww:property>
                                :</b>
                            </td>
                            <td><a title="<ww:text name="'admin.workflows.view.workflow.steps'"/>" href="<ww:url value="'/secure/admin/workflows/ViewWorkflowSteps.jspa'" >                       <ww:param name="'workflowMode'" value="'live'" /><ww:param name="'workflowName'" value="string('workflow')" /></ww:url>"><ww:property value="string('workflow')" /></a></td>
                        </tr>
                    </ww:iterator>
                </table>
            </td>
            <td valign="top" align="left" nowrap>
                <a href="<ww:url page="EditWorkflowSchemeEntities!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'admin.schemes.workflow.workflows'"/></a>
                |
                <a href="<ww:url page="CopyWorkflowScheme.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>" title="<ww:text name="'admin.schemes.workflow.create.a.copy'"/>"><ww:text name="'common.words.copy'"/></a>
                <ww:if test="/active(.) == false">
                |
                <a href="<ww:url page="EditWorkflowScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'common.words.edit'"/></a>
                |
                <a id="del_<ww:property value="string('name')"/>" href="<ww:url page="DeleteWorkflowScheme!default.jspa"><ww:param name="'schemeId'" value="long('id')"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
                </ww:if>
            </td>
        </tr>
        </ww:iterator>
        <ww:if test="schemes/size == 0">
        <tr bgcolor="#ffffff">
            <td colspan="5"><ww:text name="'admin.schemes.workflow.no.workflow.schemes.configured'"/></td>
        </tr>
        </ww:if>
    </table>
    </td></tr></table>

</body>
</html>
