<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title><ww:text name="'common.concepts.project'"/>: <ww:property value="project/string('name')"/></title>
</head>

<body>
<%@ include file="/includes/errormessages.jsp" %>

<%-- Display all of the components for the project and allow the users to pick the component assignees --%>
<p>
    <page:applyDecorator name="jiraform">
        <page:param name="title"><ww:text name="'admin.projects.component.select.component.assignee'"/>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description"><ww:text
                name="'admin.projects.component.select.assignee.page.description'"/></page:param>
        <page:param name="action">SelectComponentAssignees.jspa</page:param>
        <page:param name="submitId">update_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
        <page:param name="cancelURI"><ww:url page="ViewProject.jspa"><ww:param name="'pid'" value="projectId"/></ww:url></page:param>
        <page:param name="columns">1</page:param>
        <tr><td bgcolor="#ffffff">
            <br>
            <table class="grid">
                <tr bgcolor="#f0f0f0">
                    <td nowrap><b><ww:text name="'admin.projects.component.component.name'"/></b></td>
                    <td nowrap><b><ww:text name="'admin.projects.component.lead'"/></b></td>
                    <td colspan="2" nowrap><b><ww:text
                            name="'admin.projects.component.default.component.assignee'"/></b></td>
                </tr>
                <ww:iterator value="/components" status="'componentsStatus'">
                    <ww:if test="@componentsStatus/even == true">
                        <tr bgcolor="#ffffff">
                    </ww:if>
                    <ww:else>
                        <tr bgcolor="#fffff0">
                    </ww:else>
                    <td width="1%" nowrap><ww:property value="./string('name')"/></td>
                    <td width="1%" nowrap>
                        <ww:if test="./string('lead')">
                            <ww:property value="/userFullName(./string('lead'))"/>
                        </ww:if>
                        <ww:else>
                            No Lead
                        </ww:else>
                    </td>
                    <ww:if test="errors[/componentFieldName(.)]">
                        <td align="left" class="formErrors"><span class="errMsg"><ww:property
                            value="errors[/componentFieldName(.)]"/></span><br>
                    </ww:if>
                    <ww:else>
                        <td align="left">
                    </ww:else>
                    <ww:iterator value="/componentAssigneeTypes(.)" status="'assigneeTypesStatus'">
                        <input type="radio" value="<ww:property value="./key"/>"
                               id="<ww:property value="/componentFieldName(..)"/>_<ww:property value="./key"/>"
                               name="<ww:property value="/componentFieldName(..)"/>"
                        <ww:if test="./key == /componentAssigneeType(..)">
                               checked="true"
                        </ww:if>
                        <ww:if test="./key < 0">
                               disabled
                        </ww:if>
                                >

                        <ww:if test="./key >= 0">
                            <label for="<ww:property value="/componentFieldName(..)"/>_<ww:property value="./key"/>">
                                <ww:property value="text(./value)"/></label>
                            <ww:if test="./key == 1">
                                <font size="1">(<ww:text name="'admin.common.words.lead'"/>: <ww:property
                                        value="/userFullName(../string('lead'))"/>)</font>
                            </ww:if>
                            <ww:elseIf test="./key == 2">
                                <font size="1">(<ww:text name="'admin.common.words.lead'"/>: <ww:property
                                        value="/userFullName(/project/string('lead'))"/>)</font>
                            </ww:elseIf>
                            <ww:elseIf test="./key == 0">
                                <font size="1">(<ww:text name="'admin.projects.default.assignee'"/>: <ww:text
                                        name="/prettyAssigneeType(/project/long('assigneetype'))"/>)</font>
                            </ww:elseIf>
                        </ww:if>
                        <ww:else>
                            <font color="#999999"><i><ww:text name="./value"/></i></font>
                        </ww:else>
                        <ww:if test="@assigneeTypesStatus/count == 2">
                            </td><td>
                        </ww:if>
                        <ww:else><br></ww:else>
                    </ww:iterator>
                    </td>
                    </tr>
                </ww:iterator>
            </table>
            <ww:component name="'projectId'" template="hidden.jsp"/>
        </td></tr>
    </page:applyDecorator>
</p>
</body>
</html>
