<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.web.action.util.FieldsResourceIncluder" %>
<%
    final FieldsResourceIncluder fieldResourceIncluder = ComponentManager.getComponentInstanceOfType(FieldsResourceIncluder.class);
    fieldResourceIncluder.includeFieldResourcesForCurrentUser();
%>

<!-- Step 3 - Bulk Operation: Operation Details -->

<html>
<head>
	<title><ww:text name="'bulkedit.title'"/></title>
</head>
<body>
<script type="text/javascript">
  function toggleUnavailableActions() {
        var hiddenActions = document.getElementById("hiddenActions");
        var hiddenActionsArrow = document.getElementById("hiddenActionsArrow");
        if (hiddenActions.style.display == 'none') {
          hiddenActions.style.display = '';
          hiddenActionsArrow.src='<%= request.getContextPath() %>/images/icons/navigate_down.gif';
        } else {
          hiddenActions.style.display='none';
          hiddenActionsArrow.src='<%= request.getContextPath() %>/images/icons/navigate_right.gif';
        }
  }
</script>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr>
    <td width="200" valign="top" bgcolor="#f0f0f0">
        <jsp:include page="/secure/views/bulkedit/bulkedit_leftpane.jsp" flush="false" />
    </td>
    <td valign="top">
        <table cellspacing="0" cellpadding="10" border="0" width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><ww:text name="'bulkedit.title'"/>: <ww:text name="'bulkedit.step3.title'"/></page:param>
                <page:param name="description">
                    <ww:text name="'bulkedit.step3'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                        <!-- check for EDIT_ISSUE permissions and show an appropriate error message if user does not have this permission -->
                        <ww:if test="hasAvailableActions == false">
                            <ww:if test="/bulkEditBean/multipleProjects == true">
                                <ww:text name="'bulkedit.step2.note.noactions.multiple'">
                                    <ww:param name="'value0'"><b><ww:property value="/bulkEditBean/selectedIssues/size"/></b></ww:param>
                                    <ww:param name="'value1'"><b><ww:property value="/bulkEditBean/projectIds/size"/></b></ww:param>
                                </ww:text>
                            </ww:if>
                            <ww:else>
                                <ww:text name="'bulkedit.step2.note.noactions.single'">
                                    <ww:param name="'value0'"><b><ww:property value="/bulkEditBean/selectedIssues/size"/></b></ww:param>
                                    <ww:param name="'value1'"><b><ww:property value="/bulkEditBean/project/string('name')"/></b></ww:param>
                                </ww:text>
                            </ww:else>
                        </ww:if>
                        <ww:else>
                            <ww:text name="'bulkedit.step2.desc'">
                                <ww:param name="'value0'"><b><ww:property value="/bulkEditBean/selectedIssues/size"/></b></ww:param>
                            </ww:text><br>
                        </ww:else>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>
            <p>
            <form name="jiraform" action="BulkEditDetailsValidation.jspa" method="POST">
            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            <ww:if test="visibleActions/empty == 'false'">
            <p>
            <table id="availableActionsTable" class="grid" border="0" cellpadding="3" cellspacing="1" width="100%">
                <ww:iterator value="visibleActions">
                    <tr class="availableActionRow">
                        <td  align="center" valign="top" bgcolor="#fffff0" width="1%">
                            <input type="checkbox" id="cb<ww:property value="./field/id"/>" name="actions" value="<ww:property value="./field/id"/>" <ww:if test="/checked(./field/id) == true">checked</ww:if>>
                        </td>
                        <td class="fieldLabelAreaBulk" align="left" valign="top" bgcolor="#fffff0">
                            <label for="cb<ww:property value="./field/id"/>">
                            <ww:text name="'bulkedit.actions.changefield'">
                                <ww:param name="'value0'" value="/htmlEncode(./fieldName)"/>
                            </ww:text>:
                            </label>
                        </td>
                        <ww:property value="/fieldHtml(./field/id)" escape="'false'" />
                    </tr>
                </ww:iterator>
            </table>
            </p>
            </ww:if>

            <ww:if test="hiddenActions/empty == 'false'">
            <p>
            <script type="text/javascript">
                document.write("<img id='hiddenActionsArrow' src='<%= request.getContextPath() %>/images/icons/navigate_right.gif' width='8' height='8' border='0'>");
                document.write("<a href='#'  onclick='toggleUnavailableActions(); return false;'><ww:text name="'bulkedit.actions.show.unavailable'"/></a>");
                document.write("<div id='hiddenActions' style='display: none'>");
            </script>
            <noscript>
                <img id="hiddenActionsArrow" src="<%= request.getContextPath() %>/images/icons/navigate_down.gif" width="8" height="8" border="0">
                <ww:text name="'bulkedit.actions.show.unavailable'"/>
                <div id="hiddenActions">
            </noscript>
                <table id="unavailableActionsTable" class="grid" border="0" cellpadding="0" cellspacing="1" width="100%">
                    <ww:iterator value="hiddenActions">
                        <tr>
                            <td valign="top" bgcolor="#f0f0f0" align="center"><ww:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="#fffff0">
                                <ww:text name="'bulkedit.actions.changefield'">
                                    <ww:param name="'value0'"><ww:property value="./fieldName" /></ww:param>
                                </ww:text>:
                            </td>
                            <td bgcolor="#f0f0f0" align="left">
                                <ww:text name="unavailableMessage">
                                    <ww:param name="'value0'"><font color="#bb0000"></ww:param>
                                    <ww:param name="'value1'"></font></ww:param>
                                </ww:text>
                            </td>
                        </tr>
                    </ww:iterator>
                </table>
            </div>
            </p>
            </ww:if>

            <p>
            <jsp:include page="/includes/bulkedit/bulkedit-sendnotifications.jsp"/>
            </p>

            <%@include file="bulkchooseaction_submit_buttons.jsp"%>

            <!-- Hidden field placed here so as not affect the buttons -->
            <ww:if test="/canDisableMailNotifications() == false">
                <ui:component name="'sendBulkNotification'" template="hidden.jsp" theme="'single'" value="'true'" />
            </ww:if>

            </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>
