<%@ page import="com.atlassian.core.util.FileSize" %>
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.config.properties.APKeys" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ page import="webwork.config.Configuration" %>
<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<html>
<head>
    <ww:if test="/issueValid == true && /hasIssuePermission('attach', /issue) == true && /workflowAllowsEdit(/issueObject) == true">
        <meta name="decorator" content="issueaction"/>
    </ww:if>
    <ww:else>
        <meta name="decorator" content="error"/>
    </ww:else>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
    <title><ww:text name="'attachfile.title.multiple'"/></title>
</head>
<body class="type-a">
<ww:if test="/issueValid == true && /hasIssuePermission('attach', /issue) == true && /workflowAllowsEdit(/issueObject) == true">
    <div class="content intform">
        <page:applyDecorator id="attach-file" name="auiform">
            <page:param name="action">AttachFile.jspa</page:param>
            <page:param name="showHint">true</page:param>
            <ww:property value="/hint('attach')">
                <ww:if test=". != null">
                    <page:param name="hint"><ww:property value="./text" escape="false" /></page:param>
                    <page:param name="hintTooltip"><ww:property value="./tooltip" escape="false" /></page:param>
                </ww:if>
            </ww:property>
            <page:param name="submitButtonName">Attach</page:param>
            <page:param name="submitButtonText"><ww:text name="'attachfile.submitname'"/></page:param>
            <page:param name="cancelLinkURI"><ww:url value="/issuePath" atltoken="false" /></page:param>
            <page:param name="isMultipart">true</page:param>

            <aui:component template="issueFormHeading.jsp" theme="'aui/dialog'">
                <aui:param name="'title'"><ww:text name="'attachfile.title.multiple'"/></aui:param>
                <aui:param name="'subtaskTitle'"><ww:text name="'attachfile.title.multiple.subtask'"/></aui:param>
                <aui:param name="'issueKey'"><ww:property value="/issueObject/key" escape="false"/></aui:param>
                <aui:param name="'issueSummary'"><ww:property value="/issueObject/summary" escape="false"/></aui:param>
                <aui:param name="'cameFromSelf'" value="/cameFromIssue"/>
                <aui:param name="'cameFromParent'" value="/cameFromParent"/>
            </aui:component>

            <aui:component name="'id'" template="hidden.jsp" theme="'aui'"/>

            <page:applyDecorator name="auifieldset">
                <page:param name="legend"><ww:text name="'attachfile.attachment.label'"/></page:param>
                <page:param name="type">group</page:param>

                <page:applyDecorator name="auifieldgroup">
                    <page:param name="cssClass">file-input-list</page:param>
                    <page:param name="description"><ww:text name="'attachfile.filebrowser.warning'"><ww:param name="'value0'"><%= FileSize.format(new Long(Configuration.getString(APKeys.JIRA_ATTACHMENT_SIZE))) %></ww:param></ww:text></page:param>

                    <page:applyDecorator name="auifieldgroup">
                        <ww:iterator value="/temporaryAttachments">
                            <page:applyDecorator name="auifieldgroup">
                            <aui:checkbox label="./filename" name="'filetoconvert'" fieldValue="./id" theme="'aui'">
                                <ww:if test="/fileToConvertChecked(./id) == true">
                                    <aui:param name="'checked'" value="'checked'"/>
                                </ww:if>
                            </aui:checkbox>
                            </page:applyDecorator>
                        </ww:iterator>
                        <page:param name="cssClass"><ww:property value="@fileInputCssClass"/></page:param>
                        <aui:component label="''" name="'tempFilename'" template="inputFile.jsp" theme="'aui'" />
                    </page:applyDecorator>
                </page:applyDecorator>

            </page:applyDecorator>

            <%@include file="/includes/panels/updateissue_comment.jsp" %>

        </page:applyDecorator>
    </div>
</ww:if>
<ww:else>
    <page:applyDecorator name="auiissueerrorpanel">
        <page:param name="title"><ww:text name="'attachfile.title.multiple'"/></page:param>
    </page:applyDecorator>
</ww:else>
</body>
</html>
