<%@ taglib uri="webwork" prefix="ww" %>
<ww:if test="applicationProperties/option('jira.option.issuelinking') == true">
    <ww:if test="linkCollection/linkTypes/empty == false">
        <ww:iterator value="/linkCollection/linkTypes">
            <ww:property value="/linkCollection/outwardIssues(./name)" id="outwardIssues" />
            <ww:property value="/linkCollection/inwardIssues(./name)" id="inwardIssues" />
            <ww:if test="@outwardIssues/empty == false || @inwardIssues/empty == false">
            <h5 class="manage-links-title"><ww:property value="./name" /></h5>
            <table id="viewLinks" class="typeA" cellpadding="0" cellspacing="0" width="100%">
                <thead>
                    <th class="linkDescription">
                        <ww:text name="'common.concepts.linkDescription'">
                            <ww:param name="'value0'"><em><ww:property value="./outward" /></em></ww:param>
                        </ww:text>
                    </th>
                    <th class="linkDescription">
                        <ww:text name="'common.concepts.linkDescription'">
                            <ww:param name="'value0'"><em><ww:property value="./inward" /></em></ww:param>
                        </ww:text>
                    </th>
                </thead>
                <tbody>
                    <tr>
                        <td width="50%">
                            <div class="link-wrap">
                                <ww:if test="@outwardIssues/empty == false">
                                    <ww:property value="true" id="isOutward" />
                                    <ww:property value="@outwardIssues">
                                        <%@ include file="/includes/snippets/viewlinkedissuestable.jsp"%>
                                    </ww:property>
                                </ww:if>
                            </div>
                        </td>
                        <td width="50%">
                            <ww:if test="@inwardIssues/empty == false">
                                <ww:property value="false" id="isOutward" />
                                <ww:property value="@inwardIssues">
                                    <%@ include file="/includes/snippets/viewlinkedissuestable.jsp"%>
                                </ww:property>
                            </ww:if>
                        </td>
                    </tr>
                </tbody>
            </table>
            </ww:if>
            <%-- need to reset the page level variables property --%>
            <ww:property value="" id="outwardIssues" />
            <ww:property value="" id="inwardIssues" />
        </ww:iterator>
    </ww:if>
    <ww:else>
        <div class="notify info"><ww:text name="'managelinks.no.link.notification'" /></div>
    </ww:else>
</ww:if>
