<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>

<!-- Breaking page into smaller parts - JRA-5059 -->

<!-- PROJECT, TYPE & STATUS -->

<ww:if test="subTask == false">
    <tr>
        <td bgcolor=#f0f0f0 width=20% valign=top>
            <b><ww:text name="'common.concepts.project'"/></b>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
            <%-- Highlight differences --%>
            <ww:if test="projectMatch == false">
                <span class="red-highlight"><ww:property value="projectManager/project(issue)/string('name')" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="projectManager/project(issue)/string('name')" />
            </ww:else>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
            <ww:if test="projectMatch == false">
                <span class="green-highlight"><ww:property value="targetProject/string('name')" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="targetProject/string('name')" />
            </ww:else>
        </td>
    </tr>
</ww:if>
<ww:if test="subTask == true || (enterprise == true || professional == true)">
    <tr>
        <td bgcolor=#f0f0f0 width=20% valign=top>
            <b><ww:text name="'issue.field.type'"/></b>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
        <%-- Highlight differences --%>
            <ww:if test="issueTypeMatch == false">
                <span class="red-highlight"><ww:property value="/nameTranslation(constantsManager/issueType(issue/string('type')))" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="/nameTranslation(constantsManager/issueType(issue/string('type')))" />
            </ww:else>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
            <ww:if test="issueTypeMatch == false">
                <span class="green-highlight"><ww:property value="./moveIssueBean/targetTypeName" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="./moveIssueBean/targetTypeName" />
            </ww:else>
        </td>
    </tr>
</ww:if>
<ww:if test="enterprise == true && workflowMatch(issue/string('type'), targetIssueType) == false">
    <tr>
        <td bgcolor=#f0f0f0 width=20% valign=top>
            <b><ww:text name="'issue.field.status'"/></b> &nbsp;<span class="smallgrey">(<ww:text name="'moveissue.workflow'"/>)</span>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
            <ww:if test="statusMatch() == false">
                <span class="red-highlight"><ww:property value="/nameTranslation(constantsManager/status(issue/string('status')))" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="/nameTranslation(constantsManager/status(issue/string('status')))" />
            </ww:else>
                <ww:if test="workflowMatch(issue/string('type'), targetIssueType) == false">
                    &nbsp;<span class="red-highlight-small">(<ww:property value="currentWorkflow/name"/>)</span>
                </ww:if>
                <ww:else>
                    &nbsp;<span class="smallgrey">(<ww:property value="currentWorkflow/name"/>)</span>
                </ww:else>
        </td>
        <td bgcolor=#ffffff width=40% valign=top>
            <ww:if test="statusMatch() == false">
                <span class="green-highlight"><ww:property value="./moveIssueBean/targetStatusName" /></span>
            </ww:if>
            <ww:else>
                <ww:property value="./moveIssueBean/targetStatusName" />
            </ww:else>
            <ww:if test="workflowMatch(issue/string('type'), targetIssueType) == false">
                &nbsp;<span class="green-highlight-small">(<ww:property value="targetWorkflow/name"/>)</span>
            </ww:if>
            <ww:else>
                &nbsp;<span class="smallgrey">(<ww:property value="targetWorkflow/name"/>)</span>
            </ww:else>
        </td>
    </tr>
</ww:if>
