<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<ww:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
	<title><ww:if test="subTask == true"><ww:text name="'movesubtask.title'"/></ww:if><ww:else><ww:text name="'moveissue.title'"/></ww:else>: <ww:property value="issue/string('key')" /></title>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="#f0f0f0" valign=top>
    <ww:if test="subTask == true">
        <jsp:include page="/secure/views/issue/movetaskpane.jsp" flush="false" />
    </ww:if>
    <ww:else>
        <jsp:include page="/secure/views/issue/moveissuepane.jsp" flush="false" />
    </ww:else>
</td>
<td bgcolor=#ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

    <page:applyDecorator name="jiraform">
        <page:param name="action">MoveIssueConfirm.jspa</page:param>
        <page:param name="columns">1</page:param>
        <page:param name="cancelURI"><ww:url value="/issuePath" atltoken="false"/></page:param>
        <page:param name="submitId">move_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.move'"/></page:param>
        <page:param name="width">100%</page:param>
		<page:param name="autoSelectFirst">false</page:param>
        <page:param name="title">
            <ww:if test="subTask == true">
                <ww:text name="'movesubtask.title'"/>: <ww:text name="'moveissue.confirm'"/>
            </ww:if>
            <ww:else>
                <ww:text name="'moveissue.title'"/>: <ww:text name="'moveissue.confirm'"/>
            </ww:else>
        </page:param>
        <page:param name="description">
            <ww:if test="enterprise == true">
                <ww:text name="'moveissue.confirm.desc.ent'"/>
            </ww:if>
            <ww:else>
                <ww:text name="'moveissue.confirm.desc.pro'"/>
            </ww:else>

            <ww:if test="subTasks/empty == false">
            <p>
                <ww:text name="'movesubtask.loss.of.data'">
                    <ww:param name="'value0'"><span class="warning"></ww:param>
                    <ww:param name="'value0'"></span></ww:param>
                </ww:text>
            </p>
        </ww:if>
        </page:param>

        <tr><td colspan=2 bgcolor=#ffffff>
        <br>

        <table id="move_confirm_table" class="gridTabBox" cellpadding="3" cellspacing="1" align="center" width="95%">
            <tr>
                <td bgcolor="#dddddd" width="20%"><b>&nbsp;</b></td>
                <td bgcolor="#dddddd" width="40%"><b><ww:text name="'moveissue.originalvalue'"/></b></td>
                <td bgcolor="#dddddd" width="40%"><b><ww:text name="'moveissue.newvalue'"/></b></td>
            </tr>


            <!-- Breaking page into smaller parts - JRA-5059 -->
            <jsp:include page="/secure/views/issue/moveissue-confirm-part1.jsp" flush="false" />

            <%-- Show all the fields that have changed for the move --%>
            <ww:iterator value="confimationFieldLayoutItems">
                <tr>
                    <td bgcolor="#f0f0f0" width="20%" valign="top"><ww:property value="/fieldName(./orderableField)" /></td>
                    <td bgcolor="#ffffff" class="red-highlight" width="40%" valign="top">
                        <ww:property value="oldViewHtml(./orderableField)" escape="'false'" />
                    </td>
                    <td bgcolor="#ffffff" class="green-highlight" width="40%" valign="top">
                        <ww:property value="newViewHtml(./orderableField)" escape="'false'" />
                    </td>
                </tr>
            </ww:iterator>
            <%-- Show all the fields that will be removed --%>
            <ww:iterator value="removeFields">
                <tr>
                    <td bgcolor="#f0f0f0" width="20%" valign="top"><ww:property value="/fieldName(.)" /></td>
                    <td bgcolor="#ffffff" class="red-highlight" width="40%" valign="top">
                        <ww:property value="oldViewHtml(.)" escape="'false'" />
                    </td>
                    <td bgcolor="#ffffff" class="green-highlight" width="40%" valign="top">
                        &nbsp;
                    </td>
                </tr>
            </ww:iterator>
        </table>

    <%-- Do not put these in the MoveIssueBean --%>
    <ui:component name="'confirm'" value="'true'" template="hidden.jsp" />
    <ui:component name="'id'" template="hidden.jsp" />

    </td></tr>
    </page:applyDecorator>
</td></tr></table>
</td>
</tr></table>
</body>
</html>
