<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.jira.plugin.keyboardshortcut.KeyboardShortcutManager" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'moveissue.title'"/>: <ww:if test="/issueValid == 'true'"><ww:property value="issue/string('key')" /></ww:if></title>
    <%
        KeyboardShortcutManager keyboardShortcutManager = ComponentManager.getComponentInstanceOfType(KeyboardShortcutManager.class);
        keyboardShortcutManager.requireShortcutsForContext(KeyboardShortcutManager.Context.issuenavigation);
    %>
    <link rel="index" href="<ww:url value="/issuePath" atltoken="false" />" />
</head>

<body>

<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="#f0f0f0" valign=top>
    <jsp:include page="/secure/views/issue/moveissuepane.jsp" flush="false" />
</td>
<td bgcolor=#ffffff valign=top>
<table width="100%" cellpadding=10 cellspacing=0 border=0><tr><td>

<ww:if test="/issueValid == true && allowedProjects/empty == false">
    <ww:if test="subTask == false">
        <page:applyDecorator name="jiraform">
            <page:param name="title"><ww:text name="'moveissue.title'"/>: <ww:property value="issue/string('key')" /></page:param>
            <page:param name="description">
                <ww:if test="enterprise == true">
                    <ww:text name="'moveissue.chooseproject.desc.ent'"/>
                </ww:if>
                <ww:else>
                    <ww:text name="'moveissue.chooseproject.desc.pro'"/>
                </ww:else>
            </page:param>
            <page:param name="columns">1</page:param>
            <page:param name="width">100%</page:param>
            <page:param name="action">MoveIssue.jspa</page:param>
            <page:param name="autoSelectFirst">false</page:param>
            <page:param name="cancelURI"><ww:url value="/issuePath" atltoken="false" /></page:param>
		    <page:param name="submitId">next_submit</page:param>
            <page:param name="submitName"><ww:text name="'common.forms.next'"/> &gt;&gt;</page:param>

            <tr><td bgcolor="#ffffff">
                <table width="75%" align="absmiddle" class="centred"><tr><td>
                <div width="80%" style="border: 1px solid #bbbbbb;padding: 2px;">
                    <table width="100%">
                        <tr bgcolor="#f0f0f0">
                            <td bgcolor="#f0f0f0" colspan="5" align="left"><b><ww:text name="'moveissue.selectproject'"/></b></td>
                        </tr>
                        <tr>
                            <%-- Select Project --%>
                            <td align="absmiddle" width="20%" nowrap><b><ww:text name="'moveissue.currentproject'"/></b>:</td>
                            <td align="absmiddle" nowrap>
                                <ww:property value="project/string('name')"/>
                            </td>
                            <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                            <%-- Target Project --%>
                            <td align="absmiddle" width="20%" nowrap><b><ww:text name="'moveissue.newproject'"/></b>:</td>
                            <ww:property value="/fieldHtml('project')" escape="'false'" />
                        </tr>
                        <tr bgcolor="#f0f0f0">
                            <td bgcolor="#f0f0f0" colspan="5" align="left"><b><ww:text name="'moveissue.selectissuetype'"/></b></td>
                        </tr>
                        <tr>
                            <%-- Select Issue Type --%>
                            <td align="absmiddle" width="20%" nowrap><b><ww:text name="'moveissue.currentissuetype'"/></b>:</td>
                            <td align="absmiddle" nowrap>
                                <ww:property value="./constantsManager/issueType(currentIssueType)/string('name')"/>
                            </td>
                            <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                            <%-- Target Issue Type --%>
                            <td align="absmiddle" width="20%" nowrap><b><ww:text name="'moveissue.newissuetype'"/></b>:</td>
                            <ww:property value="/fieldHtml('issuetype')" escape="'false'" />
                        </tr>
                    </table>
                    </div>
                </td></tr>

            <ui:component name="'id'" template="hidden.jsp"  theme="'single'" />
        </page:applyDecorator>
    </ww:if>
    <ww:else>
        <%-- Sub Tasks cannot be moved - must move parent issue. This will only happen if someone intentionally crafts
        a URL to try to do this --%>
        <page:applyDecorator name="jiraform">
            <page:param name="title"><ww:text name="'moveissue.title'"/></page:param>
            <page:param name="description">
                <span class="warning"><ww:text name="'moveissue.subtask.cannot.move'"/></span>
            </page:param>
            <page:param name="width">100%</page:param>
            <page:param name="cancelURI"><ww:url value="/issuePath" atltoken="false" /></page:param>

            <ui:component name="'id'" template="hidden.jsp"  theme="'single'" />
        </page:applyDecorator>
    </ww:else>
</ww:if>
<ww:else>
	<page:applyDecorator name="jiraform">
		<page:param name="description">
            <ww:if test="enterprise == true">
                <ww:text name="'moveissue.chooseproject.desc.ent'"/>
            </ww:if>
            <ww:else>
                <ww:text name="'moveissue.chooseproject.desc.pro'"/>
            </ww:else>
        </page:param>
		<%@ include file="/includes/noprojects.jsp" %>
	</page:applyDecorator>
</ww:else>

    </td></tr></table>

</td></tr></table>
</td></tr></table>

</body>
</html>
