<%@ taglib prefix="ww" uri="webwork" %>
<%@ taglib prefix="aui" uri="webwork" %>
<%@ taglib prefix="page" uri="sitemesh-page" %>
<page:applyDecorator id="update-user-preferences" name="auiform">
    <page:param name="action">UpdateUserPreferences.jspa</page:param>
    <page:param name="submitButtonName">Update</page:param>
    <page:param name="submitButtonText"><ww:text name="'common.forms.update'"/></page:param>
    <page:param name="cancelLinkURI"><ww:url value="'/secure/ViewProfile.jspa'" atltoken="false"/></page:param>

    <aui:component template="formHeading.jsp" theme="'aui'">
        <aui:param name="'text'"><ww:text name="'preferences.update.title'"/></aui:param>
    </aui:component>

    <ww:if test="/remoteUser == null">
        <page:param name="useCustomButtons">true</page:param>
        <aui:component template="formDescriptionBlock.jsp" theme="'aui'">
            <aui:param name="'text'">
                <p><ww:text name="'session.timeout.message.title'"/></p>
                <p>
                    <ww:text name="'preferences.must.log.in'">
                        <ww:param name="param0"><a href="<%=request.getContextPath()%>/login.jsp?os_destination=%2Fsecure%2FViewProfile.jspa"></ww:param>
                        <ww:param name="param1"></a></ww:param>
                    </ww:text>
                </p>
            </aui:param>
        </aui:component>
    </ww:if>
    <ww:elseIf test="/remoteUser/name != /username">
        <page:param name="useCustomButtons">true</page:param>
        <aui:component template="formDescriptionBlock.jsp" theme="'aui'">
            <aui:param name="'text'">
                <p><ww:text name="'preferences.own.profile'"/></p>
                <p>
                    <ww:text name="'editprofile.logged.in.as'">
                        <ww:param name="param0"><a href="<%=request.getContextPath()%>/secure/ViewProfile.jspa"><ww:property value="/remoteUser/fullName"/></a></ww:param>
                    </ww:text>
                </p>
            </aui:param>
        </aui:component>
    </ww:elseIf>
    <ww:else>
        <page:applyDecorator name="auifieldset">
            <page:param name="legend"><ww:text name="'preferences.update.user.details'"/></page:param>

            <aui:component name="'username'" template="hidden.jsp" theme="'aui'" value="/username"/>

            <page:applyDecorator name="auifieldgroup">
                <aui:param name="description"><ww:text name="'preferences.issuesPerPage'"/></aui:param>
                <aui:textfield id="'pagesize'" label="text('preferences.issuesPerPage.label')" mandatory="'true'" maxlength="'255'" name="'userIssuesPerPage'" size="'short'" theme="'aui'"/>
            </page:applyDecorator>

            <page:applyDecorator name="auifieldgroup">
                <aui:param name="description"><ww:text name="'preferences.mailType'"/></aui:param>
                <aui:select id="'mailtype'" label="text('preferences.mailType.label')" list="mimeTypes" listKey="'key'" listValue="'value'" name="'userNotificationsMimeType'" theme="'aui'"/>
            </page:applyDecorator>

            <page:applyDecorator name="auifieldgroup">
                <aui:select id="'locale'" label="text('preferences.locale')" list="/installedLocales" listKey="'key'" listValue="'value'" name="'userLocale'" theme="'aui'"/>
            </page:applyDecorator>

            <page:applyDecorator name="auifieldgroup">
                <aui:param name="description"><ww:text name="'preferences.notification.desc'"/></aui:param>
                <aui:select id="'own-notifications'" label="text('preferences.notification.label')" list="/ownChangesList" listKey="'id'" listValue="'name'" name="'notifyOwnChanges'" theme="'aui'" value="notifyOwnChanges"/>
            </page:applyDecorator>

            <page:applyDecorator name="auifieldgroup">
                <aui:param name="description"><ww:text name="'preferences.default.share.desc'"/></aui:param>
                <aui:select id="'sharing'" label="text('preferences.default.share.title')" list="/shareList" listKey="'id'" listValue="'name'" name="'shareDefault'" theme="'aui'" value="shareValue"/>
            </page:applyDecorator>

            <page:applyDecorator name="auifieldgroup">
                <aui:param name="description"><ww:text name="'preferences.keyboard.shortcuts.desc'"/></aui:param>
                <aui:select id="'keyboard-shortcuts'" label="text('preferences.keyboard.shortcuts.title')" list="/keyboardShortcutList" listKey="'id'" listValue="'name'" name="'keyboardShortcutsEnabled'" theme="'aui'" value="keyboardShortcutValue"/>
            </page:applyDecorator>

        </page:applyDecorator>
    </ww:else>
</page:applyDecorator>