<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%
// don't show ANYTHING to the user if they come here looking for trouble
if (com.atlassian.jira.util.JiraUtils.isSetup()) {
%>
<%--
Leave this as a raw HTML. Do not use response.getWriter() or response.getOutputStream() here as this will fail
on Orion. Let the application server figure out how it want to output this text.
--%>
JIRA has already been set up.
<%
} else {
%>
<html>
<head>
	<title><ww:text name="'setup.title'" /></title>
</head>
<body class="setupwizard">
<h1 class="pagetitle"><ww:text name="'setup.title'" /></h1>
<table width="100%" border="0" cellpadding="4">
<tr>
<td width="75%" valign="top">
<page:applyDecorator name="jiraform">
	<page:param name="title"><ww:text name="'setup.step1'" /></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">
        <ww:text name="'setup.globalproperties'" />
        <p>
        <ww:text name="'setup.existingimport'">
            <ww:param name="'value0'"><span style="color:#990000"></ww:param>
            <ww:param name="'value1'"></span></ww:param>
            <ww:param name="'value2'"><a href="SetupImport!default.jspa"></ww:param>
            <ww:param name="'value3'"></a></ww:param>
        </ww:text>
        </p>
    </page:param>
	<page:param name="action">Setup.jspa</page:param>

	<ui:textfield label="text('setup.applicationtitle.label')" name="'title'">
		<ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'setup.applicationtitle.desc'" />
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:textfield>

	<ui:select label="text('setup.mode.label')" name="'mode'"
		list="allowedModes" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			<ww:text name="'setup.mode.line1.desc'" />:<br>
			<ww:text name="'setup.mode.line2.desc'" /><br>
			<ww:text name="'setup.mode.line3.desc'" />.
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:select>

	<ui:textfield label="text('setup.baseurl.label')" name="'baseURL'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<ww:text name="'setup.baseurl.desc'" />
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:textfield>

    <ui:component template="paths/radio-backup-config.jsp" label="text('setup.backup.label')" name="'backupPath'"/>

    <ui:component template="paths/radio-attachment-setup.jsp" label="text('setup.attachment.label')" name="'attachmentPath'"/>

    <ui:component template="paths/indexing-setup.jsp" label="text('setup.index.label')" name="'indexPath'"/>

    <tr>
		<td class="formLabel" align="right">&nbsp;</td>
		<td class="rowNormal">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="2" bgcolor="#f0f0f0"><h3 class="formtitle"><ww:text name="'setup.license.title'" /></h3></td>
	</tr>
    <tr>
        <td class="formLabel" align="right"><ww:text name="'admin.server.id'"/>:</td>
		<td class="rowNormal"><ww:property value="/serverId"/></td>
    </tr>
    <ui:textarea label="text('setup.license.label')" name="'license'" cols="50" rows="6">
		<ui:param name="'description'">
            <ww:text name="'setup.license.description.generate.eval'">
                <ww:param name="'value0'"><a target="_blank" href="<ww:component name="'external.link.jira.license.view'" template="externallink.jsp" >
                    <ww:param name="'value0'"><ww:property value="/buildUtilsInfo/version"/></ww:param>
                    <ww:param name="'value1'"><ww:property value="/buildUtilsInfo/currentBuildNumber"/></ww:param>
                    <ww:param name="'value2'">enterprise</ww:param>
                    <ww:param name="'value3'"><ww:property value="/serverId"/></ww:param>
                </ww:component>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
            <br/>
            <ww:text name="'setup.license.description.retrieve'">
                <ww:param name="'value0'"><a target="_blank" href="<ww:component name="'external.link.jira.licenses'" template="externallink.jsp"/>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
		</ui:param>
        <ui:param name="'mandatory'" value="true" />
    </ui:textarea>
    <tr>
        <td bgcolor="#ffffff" valign="top" colspan="2" align="center">
            <input type="submit" name="next" value="<ww:property value="text('common.words.next')"/>&gt;&gt;" accesskey="<ww:text name="'common.forms.submit.accesskey'"/>">
            <input type="hidden" name="language" value="<ww:property value="language"/>"/>
        </td>
    </tr>
</page:applyDecorator>
</td>
<td width="25%" valign="top">
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:property value="text('setup.choose.language')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"> </page:param>

    <script language="JavaScript">
        function setLanguage(lang)
        {
            var form = document.forms['jiraform'];
            form.elements['language'].value = lang;
            form.submit();
        }
    </script>
    <table align="center" width="100%">

    <ww:iterator value="/installedLocales" status="'status'">
        <ww:if test="@status/index == 0 || /modulo(@status/index,3) == 0">
            <tr>
        </ww:if>

            <td align="center" width="33%">
                <ww:if test="./toString == /applicationProperties/defaultLocale/toString">
                    <img src="<%= request.getContextPath() %>/images/flags/<ww:property value="./toString"/>.gif" alt="<ww:property value="./displayLanguage"/>" />
                </ww:if>
                <ww:else>
                    <a href="javascript:setLanguage('<ww:property value="./toString"/>');"><img border="0" src="<%= request.getContextPath() %>/images/flags/<ww:property value="./toString"/>.gif" alt="<ww:property value="./displayName"/>"></a>
                </ww:else>
                <br/>
                <ww:if test="./toString == /applicationProperties/defaultLocale/toString">
                    <b><ww:property value="./displayLanguage"/> (<ww:text name="'setup.language.default'"/>)</b>
                </ww:if>
                <ww:else>
                    <a href="javascript:setLanguage('<ww:property value="./toString"/>');"><ww:property value="./displayName(.)"/><br><em><ww:property value="./displayLanguage"/></em></a>
                </ww:else>
            </td>
        <ww:if test="(@status/last == true) || /modulo(@status/index,3) == 2">
            </tr>
        </ww:if>
    </ww:iterator>

    </table>
</page:applyDecorator>
<ww:if test="/unavailableLocales/empty == false">
<p>
    <page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:property value="text('setup.third.party.translations')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"> </page:param>
        <table align="center" width="100%">
            <ww:iterator value="/unavailableLocales" status="'status'">
                <ww:if test="@status/even == false">
                    <tr>
                </ww:if>

                    <td align="center" width="50%">
                        <ww:if test="./toString == /applicationProperties/defaultLocale/toString">
                            <img src="<%= request.getContextPath() %>/images/flags/<ww:property value="./toString"/>.gif" alt="<ww:property value="./displayLanguage"/>" />
                        </ww:if>
                        <ww:else>
                            <a href="SetupDisplayLocaleInfo!default.jspa?localeCode=<ww:property value="./toString"/>"><img border=0 src="<%= request.getContextPath() %>/images/flags/<ww:property value="./toString"/>.gif" alt="<ww:property value="./displayName"/>" /></a>
                        </ww:else>
                        <br/>
                        <ww:if test="./toString == /applicationProperties/defaultLocale/toString">
                            <b><ww:property value="./displayLanguage"/> (<ww:text name="'admin.common.words.default'"/>)</b>
                        </ww:if>
                        <ww:else>
                            <a href="SetupDisplayLocaleInfo!default.jspa?localeCode=<ww:property value="./toString"/>"><ww:property value="./displayName"/></a>
                        </ww:else>
                    </td>
                    <%-- Add an empty TD at the end if we have odd number of locales --%>
                    <ww:if test="@status/last == true && @status/even == false">
                        <td width="50%">&nbsp;</td>
                    </ww:if>

                <ww:if test="@status/even == true || (@status/last == true && @status/even == false)">
                    </tr>
                </ww:if>
            </ww:iterator>
        </table>
    </page:applyDecorator>
<p/>
</ww:if>
</td>
</tr>
</table>
</body>
</html>
<% } %>
